package com.xxh.cloud.basic.application.controller;


import cn.dev33.satoken.annotation.SaIgnore;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.DictTypeInfoDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.DictTypeListDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.DictTypeVO;
import com.xxh.cloud.basic.framework.modules.base.service.DictDataService;
import com.xxh.cloud.basic.framework.modules.base.service.DictTypeService;
import com.xxh.cloud.framework.common.entity.Result;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@SaIgnore
@RestController
@RequestMapping("/app/dict")
@Api(tags="客户端_服务,字典管理")
public class DictAppController {

    @Autowired
    private DictTypeService dictTypeService;
    @Autowired
    private DictDataService dictDataService;


    @PostMapping("list")
    @ApiOperation("字典分类列表")
    public Result<List<DictTypeVO>> list(@RequestBody DictTypeListDTO params) {
        ValidatorUtils.validateEntity(params);
        List<DictTypeVO> data= dictTypeService.list(params);
        return new Result<List<DictTypeVO>>().ok(data);
    }


    @PostMapping("info")
    @ApiOperation("获取字典分类(数据)明细")
    public Result<DictTypeVO> info(@RequestBody DictTypeInfoDTO params) {
        ValidatorUtils.validateEntity(params);
        DictTypeVO data=dictTypeService.infoById(params.getId());
        return new Result<DictTypeVO>().ok(data);
    }






}
