package com.xxh.cloud.basic.application.controller;


import cn.dev33.satoken.annotation.SaIgnore;
import com.xxh.cloud.basic.framework.modules.base.entity.dos.PageInfo;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.DictTypeInfoDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.DictTypeListDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.PageInfoGetDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.DictTypeVO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.PageVO;
import com.xxh.cloud.basic.framework.modules.base.service.DictDataService;
import com.xxh.cloud.basic.framework.modules.base.service.DictTypeService;
import com.xxh.cloud.basic.framework.modules.base.service.PageInfoService;
import com.xxh.cloud.basic.framework.modules.biz.service.PageInfoBizService;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.framework.common.entity.Result;
import com.xxh.cloud.framework.common.exception.BusinessBaseErrorEnum;
import com.xxh.cloud.framework.common.exception.BusinessException;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@SaIgnore
@RestController
@RequestMapping("/app/page")
@Api(tags="客户端_服务,页面配置")
public class PageInfoAppController {

    @Autowired
    private PageInfoBizService pageInfoBizService;

    @PostMapping("get")
    @ApiOperation("查询详情")
    public Result<PageVO> get(@RequestBody PageInfoGetDTO params) {
        PageVO pageVO= pageInfoBizService.get(params);
        if (pageVO.getPageState().equals(YN.NO.getCode())) {
            throw new BusinessException(BusinessBaseErrorEnum.DB_RECORD_NOT_EXISTS);
        }
        return new Result<PageVO>().ok(pageVO);
    }

}
