package com.xxh.cloud.basic.framework.modules.base.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 项目信息表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("basic_project_info")
public class ProjectInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 项目编号
     */
     @ApiModelProperty(value = "项目编号")
    @TableId(value = "code", type = IdType.INPUT)
      private String code;

    /**
     * 项目名称
     */
     @ApiModelProperty(value = "项目名称")
      private String name;

    /**
     * 状态
     */
     @ApiModelProperty(value = "状态")
      private String status;

    /**
     * 负责人
     */
     @ApiModelProperty(value = "负责人")
      private String director;

    /**
     * 描述
     */
     @ApiModelProperty(value = "描述")
      private String remark;

    @ApiModelProperty(value = "是否默认")
     private String isDef;

    /**
     * 加密私钥
     */
     @ApiModelProperty(value = "加密私钥")
      private String dataPrivateKey;

    /**
     * 加密公钥
     */
     @ApiModelProperty(value = "加密公钥")
      private String dataPublicKey;


    @ApiModelProperty(value = "数据连接配置")
     private String dataLinkConfig;

    /**
     * 逻辑删除标记(Y:正常,N:删除)
     */
     @ApiModelProperty(value = "逻辑删除标记(Y:正常,N:删除)")
      private String rowsStatus;



}
