package com.xxh.cloud.basic.framework.modules.base.entity.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.constant.YN;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Getter
@Setter
public class DictDataUpdateDTO {


    @ApiModelProperty(value = "id",required = true)
    @NotEmpty(message = "ID不能为空")
    private String id;


    @ApiModelProperty(value = "字典标签",required = true)
    @NotEmpty(message = "字典标签不能为空")
    private String dictLabel;

    @ApiModelProperty(value = "字典值",required = true)
    @NotEmpty(message = "字典值不能为空")
    private String dictValue;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "排序",required = true)
    @NotNull(message = "排序不能为空")
    private Integer sort=0;

    @ApiModelProperty(value = "状态(YN)" ,required = true)
    @NotEmpty(message = "状态不能为空")
    private String status= YN.YES.getCode();


}
