package com.xxh.cloud.basic.framework.modules.biz.helper;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.map.MapUtil;
import cn.hutool.core.text.StrSplitter;
import cn.hutool.core.util.IdUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.basic.framework.modules.base.entity.dos.NoticeInfo;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.NoticeAddDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.NoticeVO;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.framework.common.utils.StrJoinSplitUtils;
import com.xxh.cloud.user.client.api.bean.bos.AdminUserBO;

import java.util.Map;

public class NoticeMessageConvertHelper {

    public static NoticeVO getNoticeVO(NoticeInfo entity, Map<String, AdminUserBO> userMap){
        NoticeVO data = new NoticeVO();
        BeanUtil.copyProperties(entity,data,"toUserIds", "files");
        if(StrUtil.isNotEmpty(entity.getToUserIds())){
            data.setToUserIds(StrJoinSplitUtils.split2List(entity.getToUserIds()));
        }
        if(StrUtil.isNotEmpty(entity.getFiles())){
            data.setFiles(StrJoinSplitUtils.split2List(entity.getFiles()));
        }
        if (MapUtil.isNotEmpty(userMap) && userMap.containsKey(data.getCreator())) {
            data.setCreatorName(userMap.get(data.getCreator()).getRealName());
        }
        if (MapUtil.isNotEmpty(userMap) && userMap.containsKey(data.getUpdater())) {
            data.setUpdaterName(userMap.get(data.getUpdater()).getRealName());
        }
        return data;
    }

    public static NoticeInfo getNoticeInfo(NoticeAddDTO dto){
        NoticeInfo entity = new NoticeInfo();
        entity.setId(IdUtil.getSnowflake(5,3).nextIdStr());
        return getNoticeInfo(dto, entity);
    }

    public static NoticeInfo getNoticeInfo(NoticeAddDTO dto, NoticeInfo entity){
        entity.setTitle(dto.getTitle());
        entity.setContent(dto.getContent());
        if (CollUtil.isNotEmpty(dto.getToUserIds())) {
            entity.setToUserIds(StrJoinSplitUtils.join(dto.getToUserIds()));
        } else {
            entity.setToUserIds("ALL");
        }
        if (CollUtil.isNotEmpty(dto.getFiles())) {
            entity.setFiles(StrJoinSplitUtils.join(dto.getFiles()));
        } else {
            entity.setFiles("ALL");
        }
        entity.setStatus(dto.getStatus());
        entity.setRowsStatus(YN.YES.getCode());
        return entity;
    }


}
