package com.xxh.cloud.basic.framework.modules.cache.service.impl;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.xxh.cloud.basic.framework.modules.base.entity.dos.Company;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.CompanyVO;
import com.xxh.cloud.basic.framework.modules.biz.helper.CompanyConvertHelper;
import com.xxh.cloud.basic.framework.modules.base.service.CompanyService;
import com.xxh.cloud.basic.framework.modules.cache.helper.CacheBasicKeyHelper;
import com.xxh.cloud.basic.framework.modules.cache.service.CompanyCacheService;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.framework.common.redis.BasicCacheServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;

@Service
public class CompanyCacheServiceImpl extends BasicCacheServiceImpl<CompanyVO> implements CompanyCacheService {

    @Autowired
    private CompanyService companyService;

    @Override
    public String getCacheKey(String id) {
        return CacheBasicKeyHelper.getCompanyCacheKey(id);
    }

    @Override
    public String getCacheKeyPattern() {
        return CacheBasicKeyHelper.getCompanyCacheKeyPrefix();
    }

    @Override
    public Class<CompanyVO> getJsonClazz() {
        return CompanyVO.class;
    }

    @Override
    public String getId(CompanyVO companyVO) {
        return companyVO.getId();
    }

    @Override
    public CompanyVO getById2DB(String id) {
        if(StrUtil.isEmpty(id)){
            return null;
        }
        Company entity= companyService.getById(id);
        if(entity==null || YN.NO.getCode().equals(entity.getRowsStatus())){
            return null;
        }
        return CompanyConvertHelper.getCompanyVO(entity);
    }

    @Override
    public List<CompanyVO> getListByIds2DB(Collection<String> ids) {
        if(CollUtil.isEmpty(ids)){
            return null;
        }
        List<CompanyVO> data=new ArrayList<>();
        List<Company> list= companyService.list(new QueryWrapper<Company>()
                .eq("rows_status", YN.YES.getCode())
                .in("id",ids)
                .orderByDesc("sort")
        );
        if(CollUtil.isEmpty(list)){
            return data;
        }
        list.forEach(item->{
            data.add(CompanyConvertHelper.getCompanyVO(item));
        });
        return data;
    }



}
