package com.xxh.cloud.basic.framework.modules.cache.service.impl;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.map.MapUtil;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.xxh.cloud.basic.framework.modules.base.entity.dos.Params;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.CompanyListDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.ParamsListDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.DictTypeVO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.ParamsVO;
import com.xxh.cloud.basic.framework.modules.base.service.ParamsService;
import com.xxh.cloud.basic.framework.modules.biz.helper.ParamsConvertHelper;
import com.xxh.cloud.basic.framework.modules.cache.helper.CacheBasicKeyHelper;
import com.xxh.cloud.basic.framework.modules.cache.service.ParamsCacheService;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.framework.common.redis.BasicCacheServiceImpl;
import com.xxh.cloud.framework.common.redis.RedisUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;
import java.util.stream.Collectors;

@Service
public class ParamsCacheServiceImpl extends BasicCacheServiceImpl<ParamsVO> implements ParamsCacheService {


    @Autowired
    private ParamsService paramsService;

    @Override
    public String getCacheKey(String id) {
        return CacheBasicKeyHelper.getParamsCacheKey(id);
    }

    @Override
    public String getCacheKeyPattern() {
        return CacheBasicKeyHelper.getParamsCacheKeyPrefix();
    }

    @Override
    public Class<ParamsVO> getJsonClazz() {
        return ParamsVO.class;
    }

    @Override
    public String getId(ParamsVO paramsVO) {
        return paramsVO.getId();
    }

    @Override
    public ParamsVO getById2DB(String id) {
        if(StrUtil.isEmpty(id)){
            return null;
        }
        Params entity= paramsService.getById(id);
        if(entity==null || YN.NO.getCode().equals(entity.getRowsStatus())){
            return null;
        }
        return ParamsConvertHelper.getParamsVOFull(entity);
    }

    @Override
    public List<ParamsVO> getListByIds2DB(Collection<String> ids) {
        if(CollUtil.isEmpty(ids)){
            return null;
        }
        List<Params> list= paramsService.list(
                new QueryWrapper<Params>()
                        .eq("rows_status", YN.YES.getCode())
                        .in("id",ids)
                        .orderByDesc("create_date")
        );
        List<ParamsVO> data=new ArrayList<>();
        if(CollUtil.isNotEmpty(list)){
            list.forEach(item->{
                data.add(ParamsConvertHelper.getParamsVOFull(item));
            });
        }
        return data;
    }

//    @Override
//    public long getCacheExpire() {
//        return RedisUtils.Day_Thirty_EXPIRE;
//    }


}
