package com.xxh.cloud.basic.framework.modules.client.service;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.basic.client.api.DictClientService;
import com.xxh.cloud.basic.client.api.bean.bos.DictBO;
import com.xxh.cloud.basic.client.api.bean.bos.DictMapBO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.DictTypeVO;
import com.xxh.cloud.basic.framework.modules.cache.service.DictCacheService;
import com.xxh.cloud.basic.framework.modules.client.helper.BasicClientConvertHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;
import java.util.stream.Collectors;

@Service
public class DictClientLocalService implements DictClientService {


    @Autowired
    private DictCacheService dictCacheService;



    @Override
    public DictBO getDictById(String id) {
        if(StrUtil.isEmpty(id)){
            return null;
        }
        DictTypeVO dictType=dictCacheService.getById(id);
        return BasicClientConvertHelper.getDictBO(dictType);
    }

    @Override
    public List<DictBO> getDictListByIds(Collection<String> ids) {
        if(CollUtil.isEmpty(ids)){
            return new ArrayList<>();
        }
        List<DictTypeVO> list = dictCacheService.getListByIds(ids);
        if (CollUtil.isEmpty(list)) {
            return new ArrayList<>();
        }
        return list.stream().map(BasicClientConvertHelper::getDictBO).collect(Collectors.toList());
    }

    @Override
    public Map<String, DictBO> getDictMapByIds(Collection<String> ids) {
        if(CollUtil.isEmpty(ids)){
            return new HashMap<>();
        }
        List<DictTypeVO> list = dictCacheService.getListByIds(ids);
        if (CollUtil.isEmpty(list)) {
            return new HashMap<>();
        }
        return new HashMap<>(list.stream().collect(Collectors.toMap(DictTypeVO::getId, BasicClientConvertHelper::getDictBO)));
    }


    @Override
    public DictMapBO getDictValKVById(String id) {
        if(StrUtil.isEmpty(id)){
            return null;
        }
        DictTypeVO dictType=dictCacheService.getById(id);
        return BasicClientConvertHelper.getDictMapBO(dictType);
    }

    @Override
    public List<DictMapBO> getDictValKVListByIds(Collection<String> ids) {
        if(CollUtil.isEmpty(ids)){
            return new ArrayList<>();
        }
        List<DictTypeVO> list = dictCacheService.getListByIds(ids);
        if (CollUtil.isEmpty(list)) {
            return new ArrayList<>();
        }
        return list.stream().map(BasicClientConvertHelper::getDictMapBO).collect(Collectors.toList());
    }

    @Override
    public Map<String, DictMapBO> getDictValKVMapByIds(Collection<String> ids) {
        if(CollUtil.isEmpty(ids)){
            return new HashMap<>();
        }
        List<DictTypeVO> list = dictCacheService.getListByIds(ids);
        if (CollUtil.isEmpty(list)) {
            return new HashMap<>();
        }
        return new HashMap<>(list.stream().collect(Collectors.toMap(DictTypeVO::getId, BasicClientConvertHelper::getDictMapBO)));
    }
}
