package com.xxh.cloud.basic.framework.modules.constant;

public class BasicVisitConstant {
    
    /**
     * 校验目标分类
     */
    public enum VisitType {
        IP("ip", "IP地址"),
        PATIENT("patient", "患者"),
        ID_CARD("id_card", "身份证"),
        DISEASE_ID("disease_id", "病种ID"),
        REPORT("report", "报告"),
        ;

        private String code;
        private String msg;
        private VisitType(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }
        public void setCode(String code) {
            this.code = code;
        }
        public String getMsg() {
            return msg;
        }
        public void setMsg(String msg) {
            this.msg = msg;
        }
    }

    /**
     * 校验规则分类
     */
    public enum VerType {
        BLACK_LIST("black_list", "黑名单"),
        DESENSITIZE("desensitize", "数据脱敏"),
        ;

        private String code;
        private String msg;
        private VerType(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }
        public void setCode(String code) {
            this.code = code;
        }
        public String getMsg() {
            return msg;
        }
        public void setMsg(String msg) {
            this.msg = msg;
        }
    }

    /**
     * 应用端范围
     */
    public enum AppScope {
        ALL("all", "全部"),
        PATIENT_APP("patient", "患者端"),
        DOCTOR_APP("doctor", "医生端)"),
        ;

        private String code;
        private String msg;
        private AppScope(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }
        public void setCode(String code) {
            this.code = code;
        }
        public String getMsg() {
            return msg;
        }
        public void setMsg(String msg) {
            this.msg = msg;
        }
    }

    /**
     * 应用端功能范围
     */
    public enum BizScope {
        ALL("all", "全部"),
        PATIENT_DATA("patient_data", "患者档案"),
        CONSULTATION("consultation", "会诊记录"),
        ;

        private String code;
        private String msg;
        private BizScope(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }
        public void setCode(String code) {
            this.code = code;
        }
        public String getMsg() {
            return msg;
        }
        public void setMsg(String msg) {
            this.msg = msg;
        }
    }

    /**
     * 数据来源
     */
    public enum DataSource {

        WBMD_BLACK_LIST("wbmd_black_list","WBMD同步"),
        SYS_ADD("sys_add","系统添加"),
        ;

        private String code;
        private String msg;
        private DataSource(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }
        public void setCode(String code) {
            this.code = code;
        }
        public String getMsg() {
            return msg;
        }
        public void setMsg(String msg) {
            this.msg = msg;
        }
    }
}
