package com.xxh.cloud.basic.framework.modules.task.schedule;

import com.xxh.cloud.basic.framework.modules.biz.service.VisitVerificationConfigBizService;
import com.xxh.cloud.basic.framework.modules.cache.service.VisitVerificationCacheService;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class VisitVerificationSyncTask {

    @Autowired
    private VisitVerificationConfigBizService visitVerificationConfigBizService;
    @Autowired
    private VisitVerificationCacheService visitVerificationCacheService;
    
    // 同步wbmd患者黑名单
    @XxlJob("syncPatientRecordBlackList")
    public void syncPatientRecordBlackList() throws Exception {
        log.info("同步wbmd患者黑名单开始 >>>>>> ");
        XxlJobHelper.log("同步wbmd患者黑名单开始 >>>>>> ");
        visitVerificationConfigBizService.syncPatientRecordBlackList();
        XxlJobHelper.log("同步wbmd患者黑名单结束 <<<<<< ");
        log.info("同步wbmd患者黑名单结束 <<<<<< ");
    }

    // 缓存访问校验配置表信息
    @XxlJob("cacheVisitVerificationConfig")
    public void cacheVisitVerificationConfig() throws Exception {
        log.info("缓存访问校验配置表信息开始 >>>>>> ");
        XxlJobHelper.log("缓存访问校验配置表信息开始 >>>>>> ");
        visitVerificationCacheService.cacheVisitVerification();
        XxlJobHelper.log("缓存访问校验配置表信息结束 <<<<<< ");
        log.info("缓存访问校验配置表信息结束 <<<<<< ");
    }


    // 根据身份证扩展患者ID
    @XxlJob("syncPatient4IdCard")
    public void syncPatient4IdCard() throws Exception {
        log.info("根据身份证扩展患者ID开始 >>>>>> ");
        XxlJobHelper.log("根据身份证扩展患者ID开始 >>>>>> ");
        visitVerificationConfigBizService.syncPatient4IdCard();
        XxlJobHelper.log("根据身份证扩展患者ID结束 <<<<<< ");
        log.info("根据身份证扩展患者ID结束 <<<<<< ");
    }

}
