package com.xxh.cloud.basic.sys.manager.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.basic.client.api.bean.bos.VisitVerificationBO;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.*;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.ParamsVO;
import com.xxh.cloud.basic.framework.modules.biz.service.ParamsBizService;
import com.xxh.cloud.basic.framework.modules.biz.service.VisitVerificationConfigBizService;
import com.xxh.cloud.framework.common.entity.Result;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.framework.common.param.constant.ParamTypeEnum;
import com.xxh.cloud.framework.common.param.constant.ParamValTypeEnum;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/sys/basic/visit_ver")
@Api(tags="运营端_管理,访问校验配置")
public class VisitVerificationManagerController {


    @Autowired
    private VisitVerificationConfigBizService visitVerificationConfigBizService;

    @PostMapping("/query")
    @ApiOperation(value="查询",response = VisitVerificationBO.class)
    @SaCheckPermission("sys:basic:visit_ver:query")
    public Result<PageData<VisitVerificationBO>> query(@RequestBody VisitVerificationQueryDTO params) {
        ValidatorUtils.validateEntity(params);
        PageData<VisitVerificationBO> data= visitVerificationConfigBizService.query(params);
        return new Result<PageData<VisitVerificationBO>>().ok(data);
    }

    @PostMapping("/save")
    @ApiOperation(value="新增",response = void.class)
    @SaCheckPermission("sys:basic:visit_ver:save")
    public Result<String> query(@RequestBody VisitVerificationAddDTO params) {
        ValidatorUtils.validateEntity(params);
        visitVerificationConfigBizService.save(params);
        return new Result<String>().success();
    }

    @PostMapping("/edit")
    @ApiOperation(value="修改",response = void.class)
    @SaCheckPermission("sys:basic:visit_ver:edit")
    public Result<String> query(@RequestBody VisitVerificationEditDTO params) {
        ValidatorUtils.validateEntity(params);
        visitVerificationConfigBizService.edit(params);
        return new Result<String>().success();
    }

    @PostMapping("/del")
    @ApiOperation(value="删除",response = void.class)
    @SaCheckPermission("sys:basic:visit_ver:del")
    public Result<String> del(@RequestBody VisitVerificationGetDTO params) {
        ValidatorUtils.validateEntity(params);
        visitVerificationConfigBizService.del(params);
        return new Result<String>().success();
    }



}
