package com.xxh.cloud.customer.application.controller;


import cn.dev33.satoken.annotation.SaCheckLogin;
import com.xxh.cloud.third.framework.modules.captcha.entity.dto.ImageCaptchaCheckDTO;
import com.xxh.cloud.third.framework.modules.captcha.entity.dto.SmsCaptchaSendDTO;
import com.xxh.cloud.framework.common.entity.Result;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import com.xxh.cloud.third.framework.modules.captcha.entity.dto.ImageCaptchaCreateDTO;
import com.xxh.cloud.third.framework.modules.captcha.entity.vos.ImageCaptchaVO;
import com.xxh.cloud.third.framework.modules.captcha.service.ImageCaptchaService;
import com.xxh.cloud.third.framework.modules.captcha.service.SmsCaptchaService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@SaCheckLogin
@RestController
@RequestMapping("/app/customer/code")
@Api(tags="客户端,验证码服务")
public class CustomerCodeAppController {

    @Autowired
    private ImageCaptchaService imageCaptchaService;
    @Autowired
    private SmsCaptchaService smsCaptchaService;

    @PostMapping("getImageWordCaptcha")
    @ApiOperation("获取图片验证码")
    public Result<ImageCaptchaVO> getImageWordCaptcha(@RequestBody ImageCaptchaCreateDTO params) {
        params.setType("CircleCaptcha");
        params.setNum(20);
        params.setCacheExpire(300);
        ImageCaptchaVO data= imageCaptchaService.createImageCaptcha(params);
        return new Result<ImageCaptchaVO>().ok(data);
    }

    @PostMapping("sendSmsCode")
    @ApiOperation("发送短信验证码")
    public Result<String> sendSmsCode(@RequestBody SmsCaptchaSendDTO params) {
        ValidatorUtils.validateEntity(params);
        imageCaptchaService.validate(params.getCaptchaVerification(),params.getCaptchaCode());
        smsCaptchaService.send(params.getType(),params.getMobile(),300);
        return new Result<String>().ok("ok");
    }



}
