package com.xxh.cloud.customer.application.controller;


import cn.dev33.satoken.annotation.SaIgnore;

import com.xxh.cloud.customer.framework.modules.biz.bean.dto.HisDataQueryDTO;
import com.xxh.cloud.framework.common.entity.Result;
import com.xxh.cloud.user.client.api.HisDataClientService;
import com.xxh.cloud.user.client.api.bean.bos.HisSchemeUrlBO;
import com.xxh.cloud.user.client.api.bean.dto.HisDeptQueryClientDTO;
import com.xxh.cloud.user.client.api.bean.dto.HisDoctorQueryClientDTO;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@SaIgnore
@RestController
@RequestMapping("/app/customer/his")
@Api(tags="客户查询医生部门信息")
public class CustomerSchemeAppController {

    @Autowired
    private HisDataClientService hisDataClientService;

    @PostMapping("/getDoctorSchemeUrl")
    @ApiOperation("获取医生schemeUrl")
    public Result<HisSchemeUrlBO> getDoctorSchemeUrl(@RequestBody HisDataQueryDTO params) {
        HisDoctorQueryClientDTO hisDoctorQueryClientDTO = new HisDoctorQueryClientDTO();
        hisDoctorQueryClientDTO.setId(params.getId());
        HisSchemeUrlBO date = hisDataClientService.getDoctorSchemaUrl(hisDoctorQueryClientDTO);
        return new Result<HisSchemeUrlBO>().ok(date);
    }

    @PostMapping("/getDeptSchemeUrl")
    @ApiOperation("获取部门schemeUrl")
    public Result<HisSchemeUrlBO> getDeptSchemeUrl(@RequestBody HisDataQueryDTO params) {
        HisDeptQueryClientDTO hisDeptQueryClientDTO = new HisDeptQueryClientDTO();
        hisDeptQueryClientDTO.setId(params.getId());
        HisSchemeUrlBO date = hisDataClientService.getDeptSchemaUrl(hisDeptQueryClientDTO);
        return new Result<HisSchemeUrlBO>().ok(date);
    }

}
