package com.xxh.cloud.customer.application.controller;


import cn.dev33.satoken.annotation.SaIgnore;
import com.xxh.cloud.customer.framework.modules.biz.bean.vos.CustomerUserVO;
import com.xxh.cloud.customer.framework.modules.register.entity.dto.CustomerUserRegisterUserNameDTO;
import com.xxh.cloud.customer.framework.modules.register.service.CustomerUserRegisterUserNameService;
import com.xxh.cloud.framework.common.entity.Result;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@SaIgnore
@RestController
@RequestMapping("/app/customer/register/userName")
@Api(tags="客户端,客户用户名注册")
public class CustomerUserRegister2UserNameAppController {


    @Autowired
    private CustomerUserRegisterUserNameService customerUserRegisterUserNameService;

    @PostMapping("register")
    @ApiOperation("手机号注册")
    public Result<String> register(@RequestBody CustomerUserRegisterUserNameDTO params) {
        ValidatorUtils.validateEntity(params);
        CustomerUserVO data= customerUserRegisterUserNameService.registerByUserName(params);
        return new Result<String>().ok("ok");
    }




}
