package com.xxh.cloud.customer.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * 客户用户信息表
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cust_customer_user_info")
public class CustomerUserInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 公司号
     */
     @ApiModelProperty(value = "公司号")
      private String companyNo;

    /**
     * 用户分类
     */
     @ApiModelProperty(value = "用户分类")
      private String type;

    /**
     * 用户名
     */
     @ApiModelProperty(value = "用户名")
      private String userName;

    /**
     * 密码
     */
     @ApiModelProperty(value = "密码")
      private String passWord;

    /**
     * 手机号
     */
     @ApiModelProperty(value = "手机号")
      private String mobile;

    /**
     * 邮箱
     */
     @ApiModelProperty(value = "邮箱")
      private String email;

    /**
     * 昵称
     */
     @ApiModelProperty(value = "昵称")
      private String nickName;

    /**
     * 真实姓名
     */
     @ApiModelProperty(value = "真实姓名")
      private String realName;

    /**
     * 用户头像
     */
     @ApiModelProperty(value = "用户头像")
      private String headUrl;

    /**
     * 一级来源
     */
     @ApiModelProperty(value = "一级来源")
      private String sourceOne;

    /**
     * 二级来源
     */
     @ApiModelProperty(value = "二级来源")
      private String sourceTwo;

    /**
     * 三级来源
     */
     @ApiModelProperty(value = "三级来源")
      private String sourceThree;

    /**
     * 分享码
     */
     @ApiModelProperty(value = "分享码")
      private String shareCode;

    /**
     * 状态
     */
     @ApiModelProperty(value = "状态")
      private String status;


    /**
     * 客户扩展信息
     */
    @ApiModelProperty(value = "客户信息")
    private String customerExtend;
}
