package com.xxh.cloud.customer.framework.modules.biz.helper;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.util.IdUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.customer.client.api.bean.bos.MemberFamilyBO;
import com.xxh.cloud.customer.framework.modules.base.entity.CustomerFamilyInfo;
import com.xxh.cloud.customer.framework.modules.base.entity.CustomerFamilyMemberInfo;
import com.xxh.cloud.customer.framework.modules.biz.bean.dto.FamilyInfoAddDTO;
import com.xxh.cloud.customer.framework.modules.biz.bean.dto.FamilyInfoUpdateDTO;
import com.xxh.cloud.customer.framework.modules.biz.bean.dto.MemberFamilyAddDTO;
import com.xxh.cloud.customer.framework.modules.biz.bean.vos.FamilyVO;
import com.xxh.cloud.customer.framework.modules.biz.bean.vos.MemberFamilyVO;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.third.framework.modules.thirdHis.model.PatInfoModel;

public class CustomerFamilyHelper {

    private static String getFamilyInfoId(){
        return StrUtil.format("FI{}", IdUtil.getSnowflake(4,1).nextIdStr());
    }

    public static String getFamilyMemberId(){
        return StrUtil.format("FM{}", IdUtil.getSnowflake(4,2).nextIdStr());
    }

    public static CustomerFamilyInfo getCustomerFamilyInfo_Add(FamilyInfoAddDTO params){
        CustomerFamilyInfo entity=new CustomerFamilyInfo();
        entity.setId(CustomerFamilyHelper.getFamilyInfoId());
        entity.setUserId(params.getUserId());
        entity.setCompanyNo(params.getCompanyNo());
        entity.setName(params.getName());
        entity.setRowsStatus(YN.YES.getCode());
        return entity;
    }

    public static void getCustomerAddrInfo_Update(CustomerFamilyInfo entity, FamilyInfoUpdateDTO params){
        entity.setName(params.getName());
    }

    public static FamilyVO getFamilyVO(CustomerFamilyInfo entity){
        FamilyVO data = new FamilyVO();
        BeanUtil.copyProperties(entity,data);
        return data;
    }



    public static CustomerFamilyMemberInfo getCustomerFamilyMemberInfo(CustomerFamilyMemberInfo entity, PatInfoModel patInfoModel){
//        entity.setFamilyId(); 暂时不设定家庭
        entity.setName(patInfoModel.getPatientName());
        entity.setMobile(patInfoModel.getPatientMobile());
        entity.setCardType(patInfoModel.getIdType());
        entity.setCardNo(patInfoModel.getIdNo());
        entity.setStatus(YN.YES.getCode());
        entity.setRowsStatus(YN.YES.getCode());
        entity.setBirthday(patInfoModel.getBirthday());
        entity.setPatientId(patInfoModel.getPatientId());
        entity.setGender(patInfoModel.getPatientSex());
        entity.setPatHisNo(StrUtil.isNotBlank(patInfoModel.getPatHisNo()) ?
                patInfoModel.getPatHisNo() : patInfoModel.getPatCardNo());
        entity.setPatCardNo(patInfoModel.getPatCardNo());
        entity.setPatCardType(patInfoModel.getPatCardType());
        entity.setPatCardTypeName(patInfoModel.getPatCardTypeName());
        entity.setRelationType(patInfoModel.getRelationType());
        if (StrUtil.isNotBlank(entity.getRelationType())) { // 有关系则设为授权
            entity.setIsAuth(YN.YES.getCode());
            entity.setMemberRelation(patInfoModel.getRelationName());
            entity.setRelationName(patInfoModel.getRelationName());
        }
        entity.setPatientType(patInfoModel.getPatientType());
        entity.setPatientTypeName(patInfoModel.getPatientTypeName());
        entity.setHealthCardFlag(patInfoModel.getHealthCardFlag());
        entity.setExtFields(patInfoModel.getExtFields());

        entity.setCreateTime(patInfoModel.getCreateDate());
        entity.setUpdateTime(patInfoModel.getUpdateDate());
        if ("0".equals(patInfoModel.getEnable())) {
            entity.setRowsStatus(YN.NO.getCode());
        }
        return entity;
    }

    public static CustomerFamilyMemberInfo getCustomerFamilyMemberInfo(String userId, PatInfoModel patInfoModel){
        CustomerFamilyMemberInfo entity = new CustomerFamilyMemberInfo();
        entity.setId(CustomerFamilyHelper.getFamilyMemberId());
        entity.setUserId(userId);
        entity.setIsAuth(YN.NO.getCode());
        return getCustomerFamilyMemberInfo(entity, patInfoModel);
    }

    public static MemberFamilyVO getMemberFamilyVO(CustomerFamilyMemberInfo entity, MemberFamilyVO choose){
        MemberFamilyVO vo = new MemberFamilyVO();
        BeanUtil.copyProperties(entity, vo);
        if (choose != null && vo.getId().equals(choose.getId())) {
            vo.setChooseFlg(YN.YES.getCode());
        }
        return vo;
    }

    public static MemberFamilyBO getMemberFamilyBO(MemberFamilyVO vo){
        MemberFamilyBO bo = new MemberFamilyBO();
        BeanUtil.copyProperties(vo, bo);
        return bo;
    }
    
    public static CustomerFamilyMemberInfo getCustomerFamilyMemberInfo(MemberFamilyAddDTO dto){
        CustomerFamilyMemberInfo entity = new CustomerFamilyMemberInfo();
        entity.setId(CustomerFamilyHelper.getFamilyMemberId());
        BeanUtil.copyProperties(dto, entity);
        return entity;
    }
}
