package com.xxh.cloud.customer.framework.modules.check.service;

import com.xxh.cloud.framework.common.constant.DataScopeMode;
import com.xxh.cloud.framework.common.param.bos.CustUserConfigBO;

public interface CustomerUserValidateService {

    public CustUserConfigBO getCustUserConfig();

    /**
     * 是否支持三方登录
     * */
    public boolean isThirdLogin();

    /**
     * 校验是否支持三方登录
     * */
    public void checkThirdLogin();

    /**
     * 三方登录后，无用户是否注册
     * */
    public boolean isRegThirdLoginAfter();

    /**
     * 三方用户绑定后，无用户是否注册
     * */
    public boolean isRegThirdBindAfter();



    /**
     * 校验是否支持手机号登录
     * */
    public void checkMobileLogin();

    /**
     * 获取客户数据，隔离范围
     * */
    public DataScopeMode getCustDataScope();

    //DataScopeMode  = projectConfig.getCustUserDataScopeModeEnum();


}
