package com.xxh.cloud.customer.framework.modules.check.service.impl;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.map.MapUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.basic.client.api.ParamsClientService;
import com.xxh.cloud.basic.client.api.bean.bos.ParamsBO;
import com.xxh.cloud.customer.framework.modules.check.service.CustomerUserValidateService;
import com.xxh.cloud.framework.common.constant.DataScopeMode;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.framework.common.exception.BusinessBaseErrorEnum;
import com.xxh.cloud.framework.common.exception.BusinessException;
import com.xxh.cloud.framework.common.param.bos.CustUserConfigBO;
import com.xxh.cloud.framework.common.param.bos.ThirdLoginAfterOpWay;
import com.xxh.cloud.framework.common.param.constant.ParamValTypeEnum;
import com.xxh.cloud.framework.common.utils.XXEnumUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


@Service
public class CustomerUserValidateServiceImpl implements CustomerUserValidateService {


    @Autowired
    private ParamsClientService paramsClientService;

    @Override
    public CustUserConfigBO getCustUserConfig() {
        CustUserConfigBO data= paramsClientService.getParamConfig(ParamValTypeEnum.Cust_User_RegLogin.getCode(),
                        ParamValTypeEnum.Cust_User_RegLogin.getCode(),new CustUserConfigBO());
        return data;
    }

    @Override
    public boolean isThirdLogin() {
        CustUserConfigBO config=this.getCustUserConfig();
        if(StrUtil.isEmpty(config.getIsThirdLogin()) || YN.NO.getCode().equals(config.getIsThirdLogin())){
            return false;
        }else {
            return true;
        }
    }

    @Override
    public void checkThirdLogin() {
        boolean flag=this.isThirdLogin();
        if(!flag){
            //todo:
            throw new BusinessException(1,"ssssssss");
        }
    }

    @Override
    public boolean isRegThirdLoginAfter() {
        CustUserConfigBO config=this.getCustUserConfig();
        if(ThirdLoginAfterOpWay.TLA_Bind.getCode().equals(config.getThirdLoginAfterWay())){
            //绑定，不注册
            return false;
        }
        if(ThirdLoginAfterOpWay.TLA_Reg.getCode().equals(config.getThirdLoginAfterWay())){
            //注册
            return true;
        }

        return false;
    }

    @Override
    public boolean isRegThirdBindAfter() {
        CustUserConfigBO config=this.getCustUserConfig();
        if(YN.YES.getCode().equals(config.getIsThirdBindReg())){
            return true;
        }
        if(YN.NO.getCode().equals(config.getIsThirdBindReg())){
            return false;
        }
        return false;
    }

    @Override
    public void checkMobileLogin() {

    }

    @Override
    public DataScopeMode getCustDataScope() {
        CustUserConfigBO config=this.getCustUserConfig();
        DataScopeMode data= XXEnumUtil.getEnum(DataScopeMode.class,config.getUserDataScope());
        return data;
    }


}
