package com.xxh.cloud.customer.framework.modules.client.service;

import cn.hutool.core.collection.CollUtil;
import com.xxh.cloud.customer.client.api.CustomerFamilyClientService;
import com.xxh.cloud.customer.client.api.bean.bos.MemberFamilyBO;
import com.xxh.cloud.customer.client.api.bean.dto.MemberFamilyListClientDTO;
import com.xxh.cloud.customer.framework.modules.biz.bean.dto.MemberFamilyListDTO;
import com.xxh.cloud.customer.framework.modules.biz.bean.vos.MemberFamilyVO;
import com.xxh.cloud.customer.framework.modules.biz.helper.CustomerFamilyHelper;
import com.xxh.cloud.customer.framework.modules.biz.service.CustomerFamilyMemberBizService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

@Service
public class CustomerFamilyClientServiceImpl implements CustomerFamilyClientService {

    @Autowired
    private CustomerFamilyMemberBizService customerFamilyMemberBizService;

    @Override
    public List<MemberFamilyBO> listByUser(MemberFamilyListClientDTO dto) {
        MemberFamilyListDTO params = new MemberFamilyListDTO();
        params.setUserId(dto.getUserId());
        params.setPatientId(dto.getPatientId());
        params.setPatientIds(dto.getPatientIds());
        params.setPatientType(dto.getPatientType());
        params.setRelationType(dto.getRelationType());
        params.setPatHisNo(dto.getPatHisNo());
        params.setPatHisNos(dto.getPatHisNos());
        params.setIsAuth(dto.getIsAuth());
        params.setMainPersonId(dto.getMainPersonId());
        params.setMainPersonIds(dto.getMainPersonIds());
        List<MemberFamilyVO> list = customerFamilyMemberBizService.list(params);
        if (CollUtil.isNotEmpty(list)) {
            customerFamilyMemberBizService.listWithOpenid(list);
            return list.stream().map(CustomerFamilyHelper::getMemberFamilyBO).collect(Collectors.toList());
        } else {
            return new ArrayList<>();
        }
    }

    @Override
    public MemberFamilyBO getChoose(String userId) {
        MemberFamilyVO vo = customerFamilyMemberBizService.getChoose(userId);
        return CustomerFamilyHelper.getMemberFamilyBO(vo);
    }

    @Override
    public MemberFamilyBO getById(String familyMemberId) {
        MemberFamilyVO vo = customerFamilyMemberBizService.infoById(familyMemberId);
        return CustomerFamilyHelper.getMemberFamilyBO(vo);
    }

    @Override
    public void updateSelfRelationByIds(List<String> familyMemberIds) {
        customerFamilyMemberBizService.updateSelfRelationByIds(familyMemberIds);
    }
}
