package com.xxh.cloud.customer.framework.modules.constant;


import cn.hutool.core.util.ReflectUtil;
import com.xxh.cloud.framework.common.constant.IBizBaseEnum;
import org.springframework.util.StringUtils;

import java.util.*;

/**
 * hutools 枚举工具-EnumUtil
 * */
public class EnumUtils {

	public static <E extends Enum<E>> LinkedHashMap<Object, E> getEnumMap(final Class<E> enumClass,String fieldName) {
		final LinkedHashMap<Object, E> map = new LinkedHashMap<Object, E>();
		for (final E e : enumClass.getEnumConstants()) {
			map.put(ReflectUtil.getFieldValue(e, fieldName), e);
		}
		return map;
	}


	public static <E extends Enum<E>> LinkedHashMap<String, E> getEnumMap2KeyStr(final Class<E> enumClass,String fieldName) {
		final LinkedHashMap<String, E> map = new LinkedHashMap<String, E>();
		for (final E e : enumClass.getEnumConstants()) {
			map.put(ReflectUtil.getFieldValue(e, fieldName).toString(), e);
		}
		return map;
	}

	
	public static <E extends Enum<E>> E getEnum(final Class<E> enumClass,String fieldName,String val) {
		for(final E e : enumClass.getEnumConstants()) {
			String key= ReflectUtil.getFieldValue(e, fieldName).toString();
			if(key.equals(val)) {
				return e;
			}
		}
		return null;
	}

	public static <E extends IBizBaseEnum> LinkedHashMap<Object, E> getBaseCodeEnumMap(final Class<E> enumClass, String fieldName) {
		final LinkedHashMap<Object, E> map = new LinkedHashMap<Object, E>();
		for (final E e : enumClass.getEnumConstants()) {
			map.put(ReflectUtil.getFieldValue(e, fieldName), e);
		}
		return map;
	}
	
	public static <E extends IBizBaseEnum> Map<String, String> getBaseCodeEnumMap(final Class<E> enumClass){
		Map<String, String> map=new HashMap<String, String>();
		for (final E e : enumClass.getEnumConstants()) {
			Object val= ReflectUtil.getFieldValue(e, "msg");
			map.put(ReflectUtil.getFieldValue(e, "code").toString(), val==null?"":val.toString());
		}
		return map;
	}

	public static  <E extends IBizBaseEnum>  Set<String>  getBaseCodeEnumCodeSet(final Class<E> enumClass){
		Set<String> data=new HashSet<>();
		for (final E e : enumClass.getEnumConstants()) {
			Object val= ReflectUtil.getFieldValue(e, "code");
			data.add(val.toString());
		}
		return data;
	}

	public static <E extends IBizBaseEnum> E getBaseCodeEnum(final Class<E> enumClass,String code){
		if(StringUtils.isEmpty(code)) {
			return null;
		}
		for(final E e : enumClass.getEnumConstants()) {
			String _code= ReflectUtil.getFieldValue(e, "code").toString();
			if(_code.equals(code)) {
				return e;
			}
		}
		return null;
	}


	
}
