package com.xxh.cloud.customer.framework.modules.register.service.impl;

import com.xxh.cloud.customer.framework.modules.base.entity.CustomerUserInfo;
import com.xxh.cloud.customer.framework.modules.biz.bean.vos.CustomerUserVO;
import com.xxh.cloud.customer.framework.modules.biz.helper.CustomerUserHelper;
import com.xxh.cloud.customer.framework.modules.base.service.CustomerUserInfoService;
import com.xxh.cloud.customer.framework.modules.check.entity.dto.CustomerUserEmailCheckDTO;
import com.xxh.cloud.customer.framework.modules.check.service.CustomerUserRegister2AddCheckService;
import com.xxh.cloud.customer.framework.modules.register.entity.dto.CustomerUserRegisterEmailDTO;
import com.xxh.cloud.customer.framework.modules.register.helper.CustomerUserRegisterHelper;
import com.xxh.cloud.customer.framework.modules.register.service.CustomerUserRegisterEmailService;
import com.xxh.cloud.framework.common.config.ProjectConfig;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class CustomerUserRegisterEmailServiceImpl implements CustomerUserRegisterEmailService {


    @Autowired
    private CustomerUserRegister2AddCheckService customerUserRegister2AddCheckService;
    @Autowired
    private CustomerUserInfoService customerUserInfoService;
    @Autowired
    private ProjectConfig projectConfig;


    @Override
    public CustomerUserVO registerByEmail(CustomerUserRegisterEmailDTO params) {
        ValidatorUtils.validateEntity(params);
        customerUserRegister2AddCheckService.checkEmail(new CustomerUserEmailCheckDTO(params.getCompanyNo(),params.getEmail()));
        CustomerUserInfo entity= CustomerUserRegisterHelper.getCustomerUserInfo(params);
        customerUserInfoService.save(entity);
        return CustomerUserHelper.getCustomerUserVO(entity);
    }


}
