package com.xxh.cloud.customer.framework.modules.register.service.impl;

import com.xxh.cloud.customer.framework.modules.base.entity.CustomerThirdUserInfo;
import com.xxh.cloud.customer.framework.modules.base.entity.CustomerUserInfo;
import com.xxh.cloud.customer.framework.modules.biz.bean.vos.CustomerUserVO;
import com.xxh.cloud.customer.framework.modules.biz.helper.CustomerUserHelper;
import com.xxh.cloud.customer.framework.modules.base.service.CustomerUserInfoService;
import com.xxh.cloud.customer.framework.modules.check.entity.dto.CustomerUserMobileCheckDTO;
import com.xxh.cloud.customer.framework.modules.check.service.CustomerUserRegister2AddCheckService;
import com.xxh.cloud.customer.framework.modules.register.entity.dto.CustomerUserRegisterMobileDTO;
import com.xxh.cloud.customer.framework.modules.register.helper.CustomerUserRegisterHelper;
import com.xxh.cloud.customer.framework.modules.register.service.CustomerUserRegisterMobileService;
import com.xxh.cloud.framework.common.config.ProjectConfig;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class CustomerUserRegisterMobileServiceImpl implements CustomerUserRegisterMobileService {


    @Autowired
    private CustomerUserInfoService customerUserInfoService;

    @Autowired
    private ProjectConfig projectConfig;

    @Autowired
    private CustomerUserRegister2AddCheckService customerUserRegister2AddCheckService;



    @Override
    public CustomerUserVO registerByMobile(CustomerUserRegisterMobileDTO params) {
        ValidatorUtils.validateEntity(params);
        customerUserRegister2AddCheckService.checkMobile(new CustomerUserMobileCheckDTO(params.getCompanyNo(),params.getMobile()));
        CustomerUserInfo entity= CustomerUserRegisterHelper.getCustomerUserInfo(params);
        customerUserInfoService.save(entity);
        return CustomerUserHelper.getCustomerUserVO(entity);
    }

    @Override
    public CustomerUserInfo innerRegisterByMobile(CustomerUserRegisterMobileDTO params) {
        ValidatorUtils.validateEntity(params);
        customerUserRegister2AddCheckService.checkMobile(new CustomerUserMobileCheckDTO(params.getCompanyNo(),params.getMobile()));
        CustomerUserInfo entity= CustomerUserRegisterHelper.getCustomerUserInfo(params);
        customerUserInfoService.save(entity);
        return entity;
    }

    @Override
    public CustomerUserInfo innerRegister2MobileByThird(String mobile,CustomerThirdUserInfo params) {
        ValidatorUtils.validateEntity(params);
        customerUserRegister2AddCheckService.checkMobile(new CustomerUserMobileCheckDTO(params.getCompanyNo(),mobile));
        CustomerUserInfo entity= CustomerUserRegisterHelper.getCustomerUserInfo(mobile, params);
        customerUserInfoService.save(entity);
        return entity;
    }


}
