package com.xxh.cloud.customer.framework.modules.register.service.impl;

import com.xxh.cloud.customer.framework.modules.base.entity.CustomerThirdUserInfo;
import com.xxh.cloud.customer.framework.modules.base.entity.CustomerUserInfo;
import com.xxh.cloud.customer.framework.modules.biz.bean.vos.CustomerUserVO;
import com.xxh.cloud.customer.framework.modules.biz.helper.CustomerUserHelper;
import com.xxh.cloud.customer.framework.modules.base.service.CustomerUserInfoService;
import com.xxh.cloud.customer.framework.modules.check.entity.dto.CustomerUserUserNameCheckDTO;
import com.xxh.cloud.customer.framework.modules.check.service.CustomerUserRegister2AddCheckService;
import com.xxh.cloud.customer.framework.modules.register.entity.dto.CustomerUserRegisterUserNameDTO;
import com.xxh.cloud.customer.framework.modules.register.helper.CustomerUserRegisterHelper;
import com.xxh.cloud.customer.framework.modules.register.service.CustomerUserRegisterUserNameService;
import com.xxh.cloud.framework.common.config.ProjectConfig;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class CustomerUserRegisterUserNameServiceImpl implements CustomerUserRegisterUserNameService {

    @Autowired
    private CustomerUserInfoService customerUserInfoService;
    @Autowired
    private ProjectConfig projectConfig;
    @Autowired
    private CustomerUserRegister2AddCheckService customerUserRegister2AddCheckService;


    @Override
    public CustomerUserVO registerByUserName(CustomerUserRegisterUserNameDTO params) {
        ValidatorUtils.validateEntity(params);
        customerUserRegister2AddCheckService.checkUserName(new CustomerUserUserNameCheckDTO(params.getCompanyNo(),params.getUserName()));
        CustomerUserInfo entity= CustomerUserRegisterHelper.getCustomerUserInfo(params);
        customerUserInfoService.save(entity);
        return CustomerUserHelper.getCustomerUserVO(entity);
    }

    @Override
    public CustomerUserInfo register2UserNameByThird(CustomerThirdUserInfo params) {
        CustomerUserInfo entity= CustomerUserRegisterHelper.getCustomerUserInfo(params);
        customerUserInfoService.save(entity);
        return entity;
    }


}
