package com.xxh.cloud.customer.sys.manager.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.xxh.cloud.customer.framework.modules.biz.bean.dto.FamilyInfoQueryDTO;
import com.xxh.cloud.customer.framework.modules.biz.bean.dto.MemberFamilyListDTO;
import com.xxh.cloud.customer.framework.modules.biz.bean.vos.FamilyVO;
import com.xxh.cloud.customer.framework.modules.biz.bean.vos.MemberFamilyVO;
import com.xxh.cloud.customer.framework.modules.base.service.CustomerFamilyInfoService;
import com.xxh.cloud.customer.framework.modules.base.service.CustomerFamilyMemberInfoService;
import com.xxh.cloud.customer.framework.modules.biz.service.CustomerFamilyBizService;
import com.xxh.cloud.customer.framework.modules.biz.service.CustomerFamilyMemberBizService;
import com.xxh.cloud.framework.common.entity.Result;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

//@SaCheckPermission("sys:customer:family")
@RestController
@RequestMapping("/sys/customer/family")
@Api(tags="管理端,家庭管理")
public class CustomerFamilyManagerController {


    @Autowired
    private CustomerFamilyBizService customerFamilyBizService;


    @Autowired
    private CustomerFamilyMemberBizService customerFamilyMemberBizService;


    @PostMapping("query")
    @ApiOperation("查询家庭")
    @SaCheckPermission("sys:customer:family:query")
    public Result<PageData<FamilyVO>> query(@RequestBody FamilyInfoQueryDTO params) {
        ValidatorUtils.validateEntity(params);
        PageData<FamilyVO> data= customerFamilyBizService.query(params);
        return new Result<PageData<FamilyVO>>().ok(data);
    }


    @PostMapping("listMember")
    @ApiOperation("家庭成员列表")
    @SaCheckPermission("sys:customer:family:listMember")
    public Result<List<MemberFamilyVO>> listMember(@RequestBody MemberFamilyListDTO params) {
        ValidatorUtils.validateEntity(params);
        List<MemberFamilyVO> data= customerFamilyMemberBizService.list(params);
        return new Result<List<MemberFamilyVO>>().ok(data);
    }








}
