package com.xxh.cloud.customer.sys.manager.controller;


import cn.dev33.satoken.annotation.SaCheckPermission;
import com.xxh.cloud.customer.framework.modules.add.entity.dto.CustomerUserAddByEmailDTO;
import com.xxh.cloud.customer.framework.modules.add.entity.dto.CustomerUserAddByMobileDTO;
import com.xxh.cloud.customer.framework.modules.add.entity.dto.CustomerUserAddByUserNameDTO;
import com.xxh.cloud.customer.framework.modules.add.service.CustomerUserAddEmailService;
import com.xxh.cloud.customer.framework.modules.add.service.CustomerUserAddMobileService;
import com.xxh.cloud.customer.framework.modules.add.service.CustomerUserAddUserNameService;
import com.xxh.cloud.customer.framework.modules.biz.bean.dto.UserCustomerQueryDTO;
import com.xxh.cloud.customer.framework.modules.biz.bean.vos.CustomerUserVO;
import com.xxh.cloud.customer.framework.modules.base.service.CustomerUserInfoService;
import com.xxh.cloud.framework.common.entity.Result;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

//@SaCheckPermission("sys:customer:cust")
@RestController
@RequestMapping("/sys/customer/user")
@Api(tags="管理端,客户用户管理")
public class CustomerUserManagerController {



    @Autowired
    private CustomerUserInfoService customerUserInfoService;

    @Autowired
    private CustomerUserAddUserNameService customerUserAddUserNameService;

    @Autowired
    private CustomerUserAddMobileService customerUserAddMobileService;
    @Autowired
    private CustomerUserAddEmailService customerUserAddEmailService;

    @PostMapping("query")
    @ApiOperation("查询")
    @SaCheckPermission("sys:customer:user:query")
    public Result<PageData<CustomerUserVO>> query(@RequestBody UserCustomerQueryDTO params) {
        ValidatorUtils.validateEntity(params);
        PageData<CustomerUserVO> data= customerUserInfoService.query(params);
        return new Result<PageData<CustomerUserVO>>().ok(data);
    }



    @PostMapping("addByUserName")
    @ApiOperation("新增客户用户(用户名密码)")
    @SaCheckPermission("sys:customer:user:addByUserName")
    public Result<CustomerUserVO> addByUserName(@RequestBody CustomerUserAddByUserNameDTO params) {
        ValidatorUtils.validateEntity(params);
        CustomerUserVO data= customerUserAddUserNameService.addByUserName(params);
        return new Result<CustomerUserVO>().ok(data);
    }


    @PostMapping("addByEmail")
    @ApiOperation("新增客户用户(邮箱)")
    @SaCheckPermission("sys:customer:user:addByEmail")
    public Result<CustomerUserVO> addByEmail(@RequestBody CustomerUserAddByEmailDTO params) {
        ValidatorUtils.validateEntity(params);
        CustomerUserVO data= customerUserAddEmailService.addByEmail(params);
        return new Result<CustomerUserVO>().ok(data);
    }


    @PostMapping("addByMobile")
    @ApiOperation("新增客户用户(手机号)")
    @SaCheckPermission("sys:customer:user:addByMobile")
    public Result<CustomerUserVO> addByMobile(@RequestBody CustomerUserAddByMobileDTO params) {
        ValidatorUtils.validateEntity(params);
        CustomerUserVO data= customerUserAddMobileService.addByMobile(params);
        return new Result<CustomerUserVO>().ok(data);
    }





}
