package com.xxh.cloud.log.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 系统WEB访问日志
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("basic_browse_log_info")
public class BrowseLogInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 用户ID
     */
     @ApiModelProperty(value = "用户ID")
      private String userId;

    /**
     * 用户名
     */
     @ApiModelProperty(value = "用户名")
      private String userName;

    /**
     * 模块名称
     */
     @ApiModelProperty(value = "模块名称")
    @TableField("module_Name")
      private String moduleName;

    /**
     * 功能名称
     */
     @ApiModelProperty(value = "功能名称")
      private String opName;

    /**
     * 操作IP
     */
     @ApiModelProperty(value = "操作IP")
      private String opIp;

    /**
     * 操作IP城市
     */
     @ApiModelProperty(value = "操作IP城市")
      private String opIpCity;

    /**
     * 操作时间
     */
     @ApiModelProperty(value = "操作时间")
      private Date opDate;

    /**
     * 请求URI
     */
     @ApiModelProperty(value = "请求URI")
      private String reqUri;

    /**
     * 请求方式
     */
     @ApiModelProperty(value = "请求方式")
      private String reqMethod;

    /**
     * 请求参数
     */
     @ApiModelProperty(value = "请求参数")
      private String reqParams;

    /**
     * 请求时长(毫秒)
     */
     @ApiModelProperty(value = "请求时长(毫秒)")
      private Integer reqTime;

    /**
     * 用户代理
     */
     @ApiModelProperty(value = "用户代理")
      private String reqUserAgent;

    /**
     * 平台设备
     */
     @ApiModelProperty(value = "平台设备")
      private String reqPlatform;

    /**
     * 请求返回状态
     */
     @ApiModelProperty(value = "请求返回状态")
      private String status;

    /**
     * 逻辑删除标记(Y:正常,N:删除)
     */
     @ApiModelProperty(value = "逻辑删除标记(Y:正常,N:删除)")
      private String rowsStatus;


}
