package com.xxh.cloud.log.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 系统登录日志
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("basic_login_log_info")
public class LoginLogInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 用户ID
     */
     @ApiModelProperty(value = "用户ID")
      private String userId;

    /**
     * 用户名
     */
     @ApiModelProperty(value = "用户名")
      private String userName;

    /**
     * 用户操作分类(登录 退出)
     */
     @ApiModelProperty(value = "用户操作分类(登录 退出)")
      private String opType;

    /**
     * 用户操作方式
     */
     @ApiModelProperty(value = "用户操作方式")
      private String opWay;

    /**
     * 操作IP
     */
     @ApiModelProperty(value = "操作IP")
      private String opIp;

    /**
     * 用户代理
     */
     @ApiModelProperty(value = "用户代理")
      private String opUserAgent;

    /**
     * 平台设备
     */
     @ApiModelProperty(value = "平台设备")
      private String opPlatform;

    /**
     * 逻辑删除标记(Y:正常,N:删除)
     */
     @ApiModelProperty(value = "逻辑删除标记(Y:正常,N:删除)")
      private String rowsStatus;


}
