package com.xxh.cloud.log.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 系统操作日志表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("basic_operation_log_info")
public class OperationLogInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 用户ID
     */
     @ApiModelProperty(value = "用户ID")
      private String userId;

    /**
     * 用户名
     */
     @ApiModelProperty(value = "用户名")
      private String userName;

    /**
     * 模块分类
     */
     @ApiModelProperty(value = "模块分类")
      private String moduleType;

    /**
     * 对象分类
     */
     @ApiModelProperty(value = "对象分类")
      private String objectType;

    /**
     * 对象ID
     */
     @ApiModelProperty(value = "对象ID")
      private String objectId;

    /**
     * 操作时间
     */
     @ApiModelProperty(value = "操作时间")
      private Date opDate;

    /**
     * 操作分类
     */
     @ApiModelProperty(value = "操作分类")
      private String opType;

    /**
     * 操作内容
     */
     @ApiModelProperty(value = "操作内容")
      private String opText;

    /**
     * 逻辑删除标记(Y:正常,N:删除)
     */
     @ApiModelProperty(value = "逻辑删除标记(Y:正常,N:删除)")
      private String rowsStatus;



}
