package com.xxh.cloud.log.framework.modules.biz.service.impl;

import cn.hutool.core.util.IdUtil;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import com.xxh.cloud.log.framework.modules.base.entity.TriggerTaskLog;
import com.xxh.cloud.log.framework.modules.base.service.TriggerTaskLogService;
import com.xxh.cloud.log.framework.modules.biz.entity.dto.TriggerTaskLogAddBatchDTO;
import com.xxh.cloud.log.framework.modules.biz.entity.dto.TriggerTaskLogAddDTO;
import com.xxh.cloud.log.framework.modules.biz.entity.dto.TriggerTaskLogQueryDTO;
import com.xxh.cloud.log.framework.modules.biz.entity.vos.TriggerTaskLogVO;
import com.xxh.cloud.log.framework.modules.biz.service.TriggerTaskLogBizService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Service
public class TriggerTaskLogBizServiceImpl implements TriggerTaskLogBizService {

    @Autowired
    private TriggerTaskLogService triggerTaskLogService;


    @Override
    public void add(TriggerTaskLogAddDTO params) {
        ValidatorUtils.validateEntity(params);
        TriggerTaskLog entity=new TriggerTaskLog();
        entity.setId(IdUtil.getSnowflake(5,1).nextIdStr());
        entity.setOneType(params.getOneType());
        entity.setTwoType(params.getTwoType());
        entity.setBizId(params.getBizId());
        entity.setStatus(params.getStatus());
        entity.setRemark(params.getRemark());
        entity.setOpUser(params.getOpUser());
        entity.setOpDate(params.getOpDate());
        triggerTaskLogService.save(entity);
    }

    @Override
    public void addBatch(TriggerTaskLogAddBatchDTO params) {
        ValidatorUtils.validateEntity(params);
        List<TriggerTaskLog> logs=new ArrayList<>();
        params.getItems().forEach(item->{
            TriggerTaskLog entity=new TriggerTaskLog();
            entity.setId(IdUtil.getSnowflake(5,1).nextIdStr());
            entity.setOneType(item.getOneType());
            entity.setTwoType(item.getTwoType());
            entity.setBizId(item.getBizId());
            entity.setStatus(item.getStatus());
            entity.setRemark(item.getRemark());
            entity.setOpUser(item.getOpUser());
            entity.setOpDate(item.getOpDate());
            logs.add(entity);
        });
        if(logs.size()>0){
            triggerTaskLogService.saveBatch(logs);
        }
    }

    @Override
    public PageData<TriggerTaskLogVO> query(TriggerTaskLogQueryDTO params) {
        ValidatorUtils.validateEntity(params);
        return null;
    }

    @Override
    public TriggerTaskLogVO getById(String id) {
        return null;
    }


}
