package com.xxh.cloud.log.bean.constant;

import com.xxh.cloud.framework.common.constant.IBizBaseEnum;

/**
 * 对象分类
 * */
public enum ObjectTypeEnum implements IBizBaseEnum {


    OT_User("user","用户"),
    OT_Role("role","角色"),

    //metadata
    OT_MetadataCategory("metadata_category","标准数据分类"),
    OT_Metadata("metadata","标准数据"),
    OT_TableCategory("table_category","业务表分类"),
    OT_Table("table","业务表信息"),


    //metadata-standard
    OT_Disease("disease","标准疾病"),
    OT_DiseaseSystem("disease_system","标准疾病系统"),
    OT_LaboratoryGroup("laboratory_group","标准检验组套"),
    OT_LaboratoryProject("laboratory_project","标准检验项目"),
    OT_laboratoryType("laboratory_type","标准检验分类"),
    OT_Sample("standard_sample","标准样本类型"),
    OT_StandardUnit("standard_unit","标准化验单位"),
    OT_StandardMedicant("standard_medicant","标准药物"),
    OT_StandardOperation("standard_operation","标准手术"),
    OT_ExamineProject("examine_project","标准检查项目"),
    OT_StandardSymptom("standard_symptom","标准症状信息"),
    OT_StandardEvent("standard_event","标准事件信息"),
    OT_StandardKeywords("standard_keywords","标准关键字信息"),
    OT_StandardDept("standard_dept","标准部门信息"),

    //rule
    OT_RuleAction("rule_action","规则动作"),
    OT_RuleActionMethod("rule_action_method","规则动作方法"),
    OT_RuleActionMethodParam("rule_action_method_param","规则动作方法参数"),


    OT_RuleInfo("rule_info","规则信息"),
    OT_RuleBackUp("rule_backup","规则备份信息"),

    OT_FlowTask("rule_flowTask","工作流任务"),
    OT_FlowNodeTask("rule_nodeTask","工作流节点任务"),

    //data label
    OT_DataLabel_Rule("dataLabel_rule","数据标签规则"),
    OT_DataLabel_Rule_BackUp("dataLabel_rule_backup","数据标签规则备份"),


    // label
    OT_Label_Info("label_info","标签信息"),


    // patient oneType/bizOneType
    OT_OneType_PatientPushServe("patient_push_serve","患者推送服务"),

    // patient twoType/bizTwoType

    // doctor remind bizOneType
    OT_OneType_DoctorPushTask("doctor_push_task","医生推送任务"),

    //dwd
    OT_DWD_In_Apply("dwd_in_apply","DWD住院申请单"),

    // relType
    OT_RelType_Article("article", "文章"),
    OT_RelType_Scale("scale", "量表"),

    // label source_type
    OT_Label_Register_Lost("register_lost", "挂号流失"),
    OT_Label_Inhospital_Lost("inhospital_lost", "住院流失"),
    OT_Label_Operation_Lost("operation_lost", "住院流失"),


    ;
    private String code;
    private String name;

    private ObjectTypeEnum() {
    }

    ObjectTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getName() {
        return name;
    }


}
