package com.xxh.cloud.log.utils;

import cn.hutool.core.collection.CollUtil;
import com.xxh.cloud.framework.common.utils.SpringContextUtils;
import com.xxh.cloud.log.bean.dto.TriggerTaskLogBatchGenDTO;
import com.xxh.cloud.log.bean.dto.TriggerTaskLogGenDTO;
import com.xxh.cloud.log.framework.modules.biz.entity.dto.TriggerTaskLogAddBatchDTO;
import com.xxh.cloud.log.framework.modules.biz.entity.dto.TriggerTaskLogAddBatchItem;
import com.xxh.cloud.log.framework.modules.biz.entity.dto.TriggerTaskLogAddDTO;
import com.xxh.cloud.log.framework.modules.biz.service.OperationLogInfoBizService;
import com.xxh.cloud.log.framework.modules.biz.service.TriggerTaskLogBizService;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * 新增日志
 * */
public class TriggerTaskLogUtils {



    /**
     *
     * */
    public static void add(TriggerTaskLogGenDTO params){
        TriggerTaskLogUtils.add2DB(params);
    }

    /**
     *
     * */
    public static void addBatch(TriggerTaskLogBatchGenDTO params){
        if(CollUtil.isEmpty(params.getList())){
            return;
        }
        TriggerTaskLogUtils.addBatch2DB(params);
    }



    private static void add2DB(TriggerTaskLogGenDTO params){
        TriggerTaskLogBizService triggerTaskLogBizService= SpringContextUtils.getBean(TriggerTaskLogBizService.class);
        TriggerTaskLogAddDTO addParam=new TriggerTaskLogAddDTO();
        addParam.setOneType(params.getOneType());
        addParam.setTwoType(params.getTwoType());
        addParam.setBizId(params.getBizId());
        addParam.setStatus(params.getStatus());
        addParam.setRemark(params.getRemark());
        addParam.setOpUser(params.getOpUser());
        addParam.setOpDate(params.getOpDate());
        triggerTaskLogBizService.add(addParam);
    }

    private static void addBatch2DB(TriggerTaskLogBatchGenDTO params){
        TriggerTaskLogBizService triggerTaskLogBizService= SpringContextUtils.getBean(TriggerTaskLogBizService.class);

        TriggerTaskLogAddBatchDTO addParam=new TriggerTaskLogAddBatchDTO();
        params.getList().forEach(item->{
            TriggerTaskLogAddBatchItem entityItem=new TriggerTaskLogAddBatchItem();
            entityItem.setOneType(item.getOneType());
            entityItem.setTwoType(item.getTwoType());
            entityItem.setBizId(item.getBizId());
            entityItem.setStatus(item.getStatus());
            entityItem.setRemark(item.getRemark());
            entityItem.setOpUser(item.getOpUser());
            entityItem.setOpDate(item.getOpDate());
            addParam.addItem(entityItem);
        });
        triggerTaskLogBizService.addBatch(addParam);


    }










}
