package com.xxh.cloud.store.framework.modules.base.entity.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * <p>
 * 文件资源表
 * </p>
 *
 * @author limengjie
 * @since 2023-07-03
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("base_store_file_info")
public class StoreFileInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 文件编号
     */
     @ApiModelProperty(value = "文件编号")
    @TableId(value = "file_no", type = IdType.INPUT)
      private String fileNo;

    /**
     * 机构编号
     */
     @ApiModelProperty(value = "机构编号")
      private String companyCode;

    /**
     * 配置id
     */
     @ApiModelProperty(value = "配置id")
      private String paramsId;

    /**
     * 文件路径
     */
     @ApiModelProperty(value = "文件路径")
      private String fileUrl;

    /**
     * 文件名
     */
     @ApiModelProperty(value = "文件名")
      private String fileName;

    /**
     * 文件格式
     */
     @ApiModelProperty(value = "文件格式")
      private String fileFormat;
}
