package com.xxh.cloud.store.framework.modules.base.entity.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import com.xxh.cloud.framework.common.user.AuthContextUtils;
import com.xxh.cloud.framework.common.user.LoginUser;
import com.xxh.cloud.store.framework.modules.utils.OssIdUtil;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.time.LocalDateTime;

/**
 * <p>
 * 文件资源表
 * </p>
 *
 * @author limengjie
 * @since 2023-07-03
 */
@Getter
@Setter
@NoArgsConstructor
public class StoreFileDTO {

    @ApiModelProperty(value = "文件编号")
    private String fileNo;

    @ApiModelProperty(value = "机构编号")
    private String companyCode;

    @ApiModelProperty(value = "配置id")
    private String paramsId;

    @ApiModelProperty(value = "文件路径")
    private String fileUrl;

    @ApiModelProperty(value = "文件名")
    private String fileName;

    @ApiModelProperty(value = "文件格式")
    private String fileFormat;

    public StoreFileDTO(String paramsId, String fileUrl, String fileName, String fileFormat){
        LoginUser userInfo= AuthContextUtils.getCurrentLoginUser();
        this.fileNo = OssIdUtil.getFileNo();
        this.companyCode = userInfo.getCompanyNo();
        this.paramsId = paramsId;
        this.fileUrl = fileUrl;
        this.fileName = fileName;
        this.fileFormat = fileFormat;
    }
}
