package com.xxh.cloud.store.framework.modules.constant;


import com.xxh.cloud.framework.common.exception.IErrorCodeEnum;


public enum OssErrorEnum implements IErrorCodeEnum {


    OssCloud_Not(11061,"OSS服务不存在"),
    Oss_Upload_File_Error(11062,"上传文件到OSS失败"),
    OSS_ImgInfo_Error(11063,"OSS获取图片信息错误"),
    OSS_Sign_Error(11064,"OSS生成签名错误"),
    Change_Format_Error(11201,"不支持的文件转换格式"),
    ;
    private int code;
    private String msg;

    private OssErrorEnum() {
    }

    OssErrorEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public int getCode() {
        return code;
    }

    @Override
    public String getMsg() {
        return msg;
    }


}
