package com.xxh.cloud.third.framework.modules.thirdHis;


import cn.hutool.http.HttpRequest;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.xxh.cloud.third.framework.modules.thirdHis.model.HealthyFrontendConfig;
import com.xxh.cloud.third.framework.modules.thirdHis.model.RespBaseThird;
import com.xxh.cloud.third.framework.modules.thirdHis.model.WbmdOaModel;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

@Slf4j
@Component
public class WbmdOaApiHelper {
    // 调用内部OA企业微信授权登陆frontend的接口
    private static String wecomAuthorUrl = "/wbmd/oa/wecom/author";

    // 调用内部OA企业微信授权登陆
    private static String patientRecordBlackList = "http://172.17.100.39:5055/api/wecomAuthor/wecom/author?appid=14631378478533&secret=7ac0ecfb8c73859fcc9b6eec23c1b769";

    /** 调用内部OA企业微信授权登陆 */
    public static RespBaseThird<WbmdOaModel> wecomAuthorUrl(HealthyFrontendConfig config, String code) {
        Map<String, String> map = new HashMap<>();
        map.put("code", code);
        String bodyJson = JSONObject.toJSONString(map);
        String result = HttpRequest.post(config.getHost() + wecomAuthorUrl)
                .body(bodyJson)
                .execute().body();
        log.info("调用内部OA企业微信授权登陆----" + result);
        return new RespBaseThird<>(result, WbmdOaModel.class);
    }

    /** 调用内部OA企业微信授权登陆 */
    public static WbmdOaModel wecomAuthorUrl(String code) {
        Map<String, String> map = new HashMap<>();
        map.put("WecomSource", "Slife");
        map.put("Code", code);
        String bodyJson = JSONObject.toJSONString(map);
        String result = HttpRequest.post(patientRecordBlackList)
                .body(bodyJson)
                .execute().body();
        log.info("调用内部OA企业微信授权登陆(内网)----" + result);
        try {
            return JSONObject.parseObject(result, WbmdOaModel.class);
        } catch (Exception e) {
            return null;
        }
    }

    public static void main(String[] args) {

    }

}
