package com.xxh.cloud.third.framework.modules.thirdWX.helper;


import cn.hutool.http.HttpRequest;
import com.alibaba.fastjson.JSONObject;
import com.company.cloud.sdk.weixin.mp.model.msgmanage.SendTempMsgResp;
import com.company.cloud.wx.sdk.work.inner.model.Code2TicketModel;
import com.company.cloud.wx.sdk.work.inner.model.Code2TicketResp;
import com.company.cloud.wx.sdk.work.inner.model.MessageSendResp;
import com.company.cloud.wx.sdk.work.model.common.AccessTokenResp;
import com.xxh.cloud.framework.common.param.bos.WxApiConfig;
import com.xxh.cloud.third.framework.modules.thirdHis.model.HealthyFrontendConfig;
import com.xxh.cloud.third.framework.modules.thirdHis.model.RespBaseThird;
import com.xxh.cloud.third.framework.modules.thirdWX.dto.SendWxWorkMsgDTO;

import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class WeixinWorkApiHelper {

    // 企业微信-获取accessToken
    private static String getWorkAccessToken = "/sys/healthy/wechat/third/work/getAccessToken";

    // 企业微信-获取登录信息
    private static String getWorkUserInfo = "/sys/healthy/wechat/third/work/getUserInfo";

    // 发送企业微信消息
    private static String sendWxWorkMsgUrl = "/sys/healthy/wechat/third/work/sendAgentMsg";

    /**企业微信-获取accessToken */
    public static RespBaseThird<AccessTokenResp> getWorkAccessToken(HealthyFrontendConfig config, WxApiConfig wxApi) {
        String bodyJson = JSONObject.toJSONString(wxApi);
        String result = HttpRequest.post(config.getHost() + getWorkAccessToken)
                .body(bodyJson)
                .execute().body();
        log.info("调用企业微信获取accessToken----" + result);
        return new RespBaseThird<>(result, AccessTokenResp.class);
    }

    /**企业微信-获取登录信息 */
    public static RespBaseThird<Code2TicketResp> getWorkUserInfo(HealthyFrontendConfig config, Code2TicketModel params) {
        String bodyJson = JSONObject.toJSONString(params);
        String result = HttpRequest.post(config.getHost() + getWorkUserInfo)
                .body(bodyJson)
                .execute().body();
        log.info("企业微信-获取登录信息----" + result);
        return new RespBaseThird<>(result, Code2TicketResp.class);
    }

    /**发送企业微信消息 */
    public static RespBaseThird<MessageSendResp> sendWxWorkAgentMsg(HealthyFrontendConfig config, SendWxWorkMsgDTO params) {
        String bodyJson = JSONObject.toJSONString(params);
        String result = HttpRequest.post(config.getHost() + sendWxWorkMsgUrl)
                .body(bodyJson)
                .execute().body();
        return new RespBaseThird<>(result, MessageSendResp.class);
    }
}
