package com.xxh.cloud.third.framework.modules.thirdWX.service;

import cn.hutool.json.JSONUtil;
import com.company.cloud.sdk.weixin.mini.WxMiniApi;
import com.company.cloud.sdk.weixin.mini.model.Code2SessionModel;
import com.company.cloud.sdk.weixin.mini.model.Code2SessionResp;
import com.company.cloud.sdk.weixin.mini.model.DecryptDataModel;
import com.company.cloud.sdk.weixin.mp.model.Code2AccessTokenModel;
import com.xxh.cloud.basic.client.api.ParamsClientService;
import com.xxh.cloud.framework.common.param.bos.WxApiConfig;
import com.xxh.cloud.third.framework.modules.thirdHis.model.HealthyFrontendConfig;
import com.xxh.cloud.third.framework.modules.thirdHis.model.RespBaseThird;
import com.xxh.cloud.third.framework.modules.thirdUnifyUser.entity.bos.ThirdUnifyUserLoginBO;
import com.xxh.cloud.third.framework.modules.thirdUnifyUser.entity.dto.BindMobileByWxDTO;
import com.xxh.cloud.third.framework.modules.thirdWX.helper.ThirdUserLoginWeixinConvert;
import com.xxh.cloud.third.framework.modules.thirdWX.helper.WeixinApiHelper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 微信小程序
 * */
@Slf4j
@Service
public class ThirdWeixinLoginMiniService {

    @Autowired
    private ThirdWeixinSessionKeyService thirdWeixinSessionKeyService;
    @Autowired
    private ParamsClientService paramsClientService;

    public ThirdUnifyUserLoginBO getLoginAuthToken(WxApiConfig config, String jscode){
        Code2AccessTokenModel param=new Code2AccessTokenModel();
        param.setAppid(config.getAppid());
        param.setSecret(config.getSecret());
        param.setCode(jscode);
//        Code2SessionResp resp= WxMiniApi.code2Session(param); 调用微信的方法

        // 改成调用三方系统
        HealthyFrontendConfig healthyFrontend = paramsClientService.getParamConfig("HEALTHY_FRONTEND", new HealthyFrontendConfig());
        RespBaseThird<Code2SessionResp> respBaseThird = WeixinApiHelper.getLoginAuthTokenMini(healthyFrontend, param);
        Code2SessionResp resp = respBaseThird.getData();
        thirdWeixinSessionKeyService.setSessionKey(resp.getOpenid(),resp.getSession_key());
        return ThirdUserLoginWeixinConvert.getThirdUnifyUserLoginBO(resp);
    }

    public String getMobileByOpenId(BindMobileByWxDTO param) {
        DecryptDataModel decryptData = new DecryptDataModel();
        decryptData.setSessionKey(thirdWeixinSessionKeyService.getSessionKey(param.getOpenId()));
        decryptData.setEncryptedData(param.getEncryptedData());
        decryptData.setIv(param.getIv());
        String result = WxMiniApi.decryptData(decryptData);
        log.error("微信解密信息:" + result);
        return result;
    }




}
