package com.xxh.cloud.third.framework.modules.thirdWX.service;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.company.cloud.sdk.weixin.mp.model.QRcodeWithParamsResp;
import com.xxh.cloud.basic.client.api.ParamsClientService;
import com.xxh.cloud.framework.common.param.bos.WxApiConfig;
import com.xxh.cloud.third.framework.modules.thirdHis.model.HealthyFrontendConfig;
import com.xxh.cloud.third.framework.modules.thirdWX.dto.WxQrCodeCreateDTO;
import com.xxh.cloud.third.framework.modules.thirdWX.dto.WxQrCodeDTO;

import cn.hutool.core.util.StrUtil;
import cn.hutool.http.HttpRequest;
import lombok.extern.log4j.Log4j2;

import java.util.HashMap;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Log4j2
@Service
public class ThirdWeixinQrCodeService {

    @Autowired
    private ParamsClientService paramsClientService;
    @Autowired
    private ThirdWeixinAccessTokenService thirdWeixinAccessTokenService;

    public QRcodeWithParamsResp createQRCode(WxQrCodeDTO params){
        WxApiConfig wxConfig = paramsClientService.getParamConfig(params.getParamsId(), new WxApiConfig());

        String accessToken = thirdWeixinAccessTokenService.getAccessToken(wxConfig);

        HealthyFrontendConfig healthyFrontend = paramsClientService.getParamConfig("HEALTHY_FRONTEND", new HealthyFrontendConfig());
        log.info("获取请求目标域名数据<<<<<< {}", JSON.toJSONString(healthyFrontend));

        Map<String, String> wxQrcodePath = paramsClientService.getParamConfig("WX_QRCODE_PATH", new HashMap<String, String>());
        log.info("获取请求目标接口地址<<<<<< {}", JSON.toJSONString(wxQrcodePath));
        String qrcodeUrl = wxQrcodePath.get("path");

        WxQrCodeCreateDTO wxQrCodeCreateDTO = new WxQrCodeCreateDTO();
        wxQrCodeCreateDTO.setAccessToken(accessToken);
        wxQrCodeCreateDTO.setQrcodeParams(params.getQrcodeParams());
        String result = HttpRequest.post(healthyFrontend.getHost() + qrcodeUrl).body(JSON.toJSONString(wxQrCodeCreateDTO)).execute().body();

        if (StrUtil.isBlank(result)) {
            return null;
        }
        return JSONObject.parseObject(result, QRcodeWithParamsResp.class);
    }

}
