package com.xxh.cloud.third.framework.modules.thirdWX.service;

import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.framework.common.redis.RedisUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 *  小测序，用户SessionKey
 * */
@Service
public class ThirdWeixinSessionKeyService {

    @Autowired
    private RedisUtils redisUtils;

    private String getCacheKey(String openId){
        return StrUtil.format("wx:sessionkey:{}",openId);
    }


    /**
     * SessionKey
     * */
    public void setSessionKey(String openId, String sessionKey){
        String key= this.getCacheKey(openId);
        redisUtils.set(key, sessionKey, 71 * 3600);
    }


    /**
     * SessionKey
     * */
    public String getSessionKey(String openId){
        String key= this.getCacheKey(openId);
        Object obj= redisUtils.get(key);
        return obj==null?null:obj.toString();
    }




}
