package com.xxh.cloud.user.framework.modules.base.biz;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.framework.common.user.LoginUser;
import com.xxh.cloud.user.framework.modules.base.entity.dto.*;
import com.xxh.cloud.user.framework.modules.base.entity.vos.UserVO;
import com.xxh.cloud.user.framework.modules.login.entity.dto.UserUpdateBySelfDTO;
import com.xxh.cloud.user.framework.modules.login.entity.dto.UserUpdatePasswordBySelfDTO;

import java.util.Collection;
import java.util.List;

public interface UserInfoBizService {


    public PageData<UserVO> query(UserQueryDTO params);

    /**
     * 管理端新增(注册)用户
     * */
    public UserVO add(UserAddDTO params);

    public UserVO update(UserUpdateBySelfDTO params, LoginUser loginUser);

    public UserVO update(UserUpdateDTO params);

    public UserVO updateStatus(UserUpdateStatusDTO params);

    public UserVO changePassword(UserUpdatePasswordBySelfDTO params, LoginUser loginUser);

    public UserVO updatePassword(UserUpdatePasswordDTO params);

    public void updateRole(UserUpdateRoleDTO params);

    public void delById(String id);

    public UserVO infoById(String id);

//    public UserVO info2NullById(String id);

//    public List<UserVO> getListByIds(Collection<String> ids);



    public void addDoctorBatch(List<UserAddDTO> params);


    public List<UserVO> simpleList(UserQueryDTO params);

    public UserVO simpleOne(UserInfoDTO params);

}
