package com.xxh.cloud.user.framework.modules.base.biz.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.xxh.cloud.basic.client.api.ParamsClientService;
import com.xxh.cloud.third.framework.modules.thirdHis.HisWebApiHelper;
import com.xxh.cloud.third.framework.modules.thirdHis.dto.HisGenerateSchemeDTO;
import com.xxh.cloud.third.framework.modules.thirdHis.model.HealthyFrontendConfig;
import com.xxh.cloud.third.framework.modules.thirdHis.model.HisSchemeUrlModel;
import com.xxh.cloud.third.framework.modules.thirdHis.model.RespBaseThird;
import com.xxh.cloud.user.framework.modules.base.biz.HisSchemaUrlBizService;
import com.xxh.cloud.user.framework.modules.base.entity.dto.HisSchemeUrlQueryDTO;

import lombok.extern.slf4j.Slf4j;

@Slf4j
@Service
public class HisSchemaUrlBizServiceImpl implements HisSchemaUrlBizService {

    @Autowired
    private ParamsClientService paramsClientService;

    @Override
    public HisSchemeUrlModel getSchemaUrl(HisSchemeUrlQueryDTO params) {
        HealthyFrontendConfig healthyFrontendConfig = paramsClientService.getParamConfig("HEALTHY_FRONTEND", new HealthyFrontendConfig());
        HisGenerateSchemeDTO hisGenerateSchemeDTO = new HisGenerateSchemeDTO();
        hisGenerateSchemeDTO.setType(params.getType());
        RespBaseThird<HisSchemeUrlModel> hisResp = HisWebApiHelper.generateScheme(healthyFrontendConfig, hisGenerateSchemeDTO);
        return hisResp.getData();
    }

}
