package com.xxh.cloud.user.framework.modules.base.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 三方用户信息表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("sys_third_user")
public class ThirdUser extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 第三方参数配置ID
     */
     @ApiModelProperty(value = "第三方参数配置ID")
      private String paramsId;

    /**
     * 第三方ID
     */
     @ApiModelProperty(value = "第三方ID")
      private String openId;

    /**
     * 第三方统一标识
     */
     @ApiModelProperty(value = "第三方统一标识")
      private String unionId;

    /**
     * 用户ID
     */
     @ApiModelProperty(value = "用户ID")
      private String userId;

    /**
     * 公司号
     */
     @ApiModelProperty(value = "公司号")
      private String companyNo;

    /**
     * 用户分类
     */
     @ApiModelProperty(value = "用户分类")
      private String type;


    /**
     * 昵称
     */
    @ApiModelProperty(value = "昵称")
    private String nickName;

    /**
     * 用户头像
     */
    @ApiModelProperty(value = "用户头像")
    private String headUrl;


    /**
     * 一级来源
     */
     @ApiModelProperty(value = "一级来源")
      private String sourceOne;

    /**
     * 二级来源
     */
     @ApiModelProperty(value = "二级来源")
      private String sourceTwo;

    /**
     * 三级来源
     */
     @ApiModelProperty(value = "三级来源")
      private String sourceThree;

}
