package com.xxh.cloud.user.framework.modules.base.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 系统用户表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("sys_user")
public class User extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 公司号
     */
     @ApiModelProperty(value = "公司号")
      private String companyNo;

    /**
     * 用户名
     */
     @ApiModelProperty(value = "用户名")
      private String userName;

    /**
     * 密码
     */
     @ApiModelProperty(value = "密码")
      private String passWord;

    /**
     * 手机号
     */
     @ApiModelProperty(value = "手机号")
      private String mobile;

    /**
     * 邮箱
     */
     @ApiModelProperty(value = "邮箱")
      private String email;

    /**
     * 真实姓名
     */
     @ApiModelProperty(value = "真实姓名")
      private String realName;

    /**
     * 头像
     */
     @ApiModelProperty(value = "头像")
      private String headUrl;

    /**
     * 性别
     */
     @ApiModelProperty(value = "性别")
      private String gender;

    /**
     * 部门ID
     */
     @ApiModelProperty(value = "部门ID")
      private String deptId;


    /**
     * 是否超级管理员
     */
     @ApiModelProperty(value = "是否超级管理员")
      private String isSuperAdmin;

    /**
     * 状态
     */
     @ApiModelProperty(value = "状态")
      private String status;

    /**
     * 逻辑删除标记(Y:正常,N:删除)
     */
    @ApiModelProperty(value = "逻辑删除标记(Y:正常,N:删除)")
    private String rowsStatus;


    /**
     * 岗位ID(多个)
     */
    @ApiModelProperty(value = "岗位ID(多个)")
    private String postIds;


    /**
     * 个人资料
     */
    @ApiModelProperty(value = "个人资料")
    private String personInfo;

    @ApiModelProperty(value = "用户简介")
    private String userShanc;

    @ApiModelProperty(value = "职称")
    private String jobTitle;

    @ApiModelProperty(value = "职位")
    private String jobPosition;

    @ApiModelProperty(value = "学科")
    private String subjectCode;
    
    @ApiModelProperty(value = "学科排序")
    private Integer subjectOrder;
    
    @ApiModelProperty(value = "学科角色")
    private String subjectRole;

    @ApiModelProperty(value = "医生编号")
    private String empCode;

    @ApiModelProperty(value = "OA医生编号")
    private String oaEmpCode;

}
