package com.xxh.cloud.user.framework.modules.base.entity.dto;

import com.xxh.cloud.framework.common.constant.Constant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Collection;
import java.util.Set;

@Getter
@Setter
public class MenuAddDTO {


    @ApiModelProperty(value = "上级ID",required = true)
    private String pid= Constant.RootParentNodeId;


    @ApiModelProperty(value = "类型[MenuType]",required = true)
    @NotEmpty(message = "菜单分类不能为空")
    private String type;


    @ApiModelProperty(value = "名称",required = true)
    @NotEmpty(message = "菜单名称不能为空")
    private String name;


    @ApiModelProperty(value = "菜单图标")
    private String icon;

    @ApiModelProperty(value = "菜单路由分类[MenuRouteType]",required = true)
    @NotEmpty(message = "菜单路由分类不能为空")
    private String routeType;


    @ApiModelProperty(value = "菜单URL")
    private String url;


    @ApiModelProperty(value = "排序",required = true)
    @NotNull(message = "排序不能为空")
    private Integer sort;


    @ApiModelProperty(value = "授权")
    private Collection<String> permissions;



}
