package com.xxh.cloud.user.framework.modules.base.entity.dto;

import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.user.framework.modules.constant.UserStatus;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.Map;
import java.util.Set;

@Getter
@Setter
public class UserAddDTO {

    @ApiModelProperty(value = "公司号",required = true)
    @NotEmpty(message = "公司编号不能为空")
    private String companyNo;

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "密码")
    private String passWord;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "真实姓名")
    private String realName;

    @ApiModelProperty(value = "头像")
    private String headUrl;

    @ApiModelProperty(value = "性别")
    private String gender;

    @ApiModelProperty(value = "部门ID")
    private String deptId;

    @ApiModelProperty(value = "岗位ID")
    private Set<String> postIds;

    @ApiModelProperty(value = "是否超级管理员(YN)")
    private String isSuperAdmin = YN.NO.getCode();

    @ApiModelProperty(value = "状态")
    private String status = UserStatus.US_Normal.getCode();

    @ApiModelProperty(value = "用户角色列表")
    private Set<String> roleIds;


    @ApiModelProperty(value = "个人资料")
    private Map<String, Object> personInfo;


    @ApiModelProperty(value = "用户id")
    private String id;

    @ApiModelProperty(value = "用户简介")
    private String userShanc;

    @ApiModelProperty(value = "职称")
    private String jobTitle;

    @ApiModelProperty(value = "职位")
    private String jobPosition;

    @ApiModelProperty(value = "学科")
    private String subjectCode;

    @ApiModelProperty(value = "学科排序")
    private Integer subjectOrder;

    @ApiModelProperty(value = "学科角色")
    private String subjectRole;

    @ApiModelProperty(value = "医生编号")
    private String empCode;

    @ApiModelProperty(value = "OA医生编号")
    private String oaEmpCode;

}
