package com.xxh.cloud.user.framework.modules.base.entity.dto;

import com.xxh.cloud.framework.common.constant.YN;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.Map;
import java.util.Set;

@Getter
@Setter
public class UserUpdateDTO {


    @ApiModelProperty(value = "id",required = true)
    @NotEmpty(message = "ID不能为空")
    private String id;

    @ApiModelProperty(value = "用户名")
    private String userName;


    @ApiModelProperty(value = "手机号")
    private String mobile;


    @ApiModelProperty(value = "邮箱")
    private String email;


    @ApiModelProperty(value = "真实姓名")
    private String realName;


    @ApiModelProperty(value = "头像")
    private String headUrl;


    @ApiModelProperty(value = "性别")
    private String gender;

    @ApiModelProperty(value = "部门ID")
    private String deptId;

    @ApiModelProperty(value = "岗位ID")
    private Set<String> postIds;

    @ApiModelProperty(value = "是否超级管理员(YN)")
    private String isSuperAdmin ;

    @ApiModelProperty(value = "用户角色列表")
    private Set<String> roleIds;

    @ApiModelProperty(value = "个人资料")
    private Map<String, Object> personInfo;

    @ApiModelProperty(value = "学科")
    private String subjectCode;

    @ApiModelProperty(value = "学科排序")
    private Integer subjectOrder;

    @ApiModelProperty(value = "学科角色")
    private String subjectRole;


}
