package com.xxh.cloud.user.framework.modules.base.entity.vos;

import com.fasterxml.jackson.core.json.async.NonBlockingJsonParser;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.user.client.api.bean.bos.PostInfoBO;
import com.xxh.cloud.user.client.api.bean.bos.RoleInfoBO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.*;

@Getter
@Setter
public class UserVO {


    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "公司号")
    private String companyNo;

    @ApiModelProperty(value = "用户名")
    private String userName;


    @ApiModelProperty(value = "真实姓名")
    private String realName;


    @ApiModelProperty(value = "头像")
    private String headUrl;


    @ApiModelProperty(value = "性别")
    private String gender;


    @ApiModelProperty(value = "手机号")
    private String mobile;


    @ApiModelProperty(value = "邮箱")
    private String email;


    @ApiModelProperty(value = "部门ID")
    private String deptId;


    @ApiModelProperty(value = "是否超级管理员")
    private String isSuperAdmin;


    @ApiModelProperty(value = "状态")
    private String status;


    @ApiModelProperty(value = "创建者")
    private String creator;


    @ApiModelProperty(value = "创建时间")
    private Date createDate;


    @ApiModelProperty(value = "更新者")
    private String updater;


    @ApiModelProperty(value = "更新时间")
    private Date updateDate;


    @ApiModelProperty(value = "岗位ID")
    private Set<String> postIds;

    @ApiModelProperty(value = "用户角色列表")
    private List<String> roleIds;


    @ApiModelProperty(value = "个人资料")
    private Map<String, Object> personInfo;

    @ApiModelProperty(value = "用户简介")
    private String userShanc;

    //=============================

    @ApiModelProperty(value = "公司名称")
    private String companyName;

    @ApiModelProperty(value = "部门名称")
    private String deptName;

    @ApiModelProperty(value = "创建者名称")
    private String creatorName;

    @ApiModelProperty(value = "更新者名称")
    private String updaterName;

    @ApiModelProperty(value = "角色列表")
    private List<RoleInfoBO> roleList;

    @ApiModelProperty(value = "岗位列表")
    private List<PostInfoBO> postList;

    @ApiModelProperty(value = "学科")
    private String subjectCode;

    @ApiModelProperty(value = "学科排序")
    private Integer subjectOrder;

    @ApiModelProperty(value = "学科角色")
    private String subjectRole;


    public void addRole(RoleInfoBO role){
        if(this.roleList==null){
            this.roleList=new ArrayList<>();
        }
        if(this.roleIds==null){
            this.roleIds=new ArrayList<>();
        }
        if(role!=null){
            this.roleIds.add(role.getId());
            this.roleList.add(role);
        }
    }


    public void addPost(PostInfoBO post){
        if(this.postList==null){
            this.postList=new ArrayList<>();
        }
        if(post!=null){
            this.postList.add(post);
        }
    }



}
