package com.xxh.cloud.user.framework.modules.base.helper;


import cn.hutool.http.HttpRequest;
import com.alibaba.fastjson2.JSONArray;
import com.alibaba.fastjson2.JSONObject;
import com.xxh.cloud.user.framework.modules.base.entity.model.DepartmentLevel;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * wbmd 同步互联网医院的部门(新)
 * **/
@Slf4j
@Component
public class DepartmentLevelInfoApiHelper {
    // 同步黑名单
    private static String departmentLevelUrl = "http://172.17.100.39:5035/api/patientRecord/department_level_info?appid=14631378478533&secret=7ac0ecfb8c73859fcc9b6eec23c1b769";

    /**wbmd 同步互联网医院的部门(新)*/
    public static List<DepartmentLevel> departmentLevelList() {
        Map<String, String> params = new HashMap<>();
        String bodyJson = JSONObject.toJSONString(params);
        String result = HttpRequest.post(departmentLevelUrl)
                .body(bodyJson)
                .execute().body();
        JSONObject json = JSONObject.parseObject(result);
        if (json.containsKey("result") && json.get("result") != null) {
            return JSONArray.parseArray(JSONObject.toJSONString(json.get("result")), DepartmentLevel.class);
        } else {
            return new ArrayList<>();
        }
    }

}
