package com.xxh.cloud.user.framework.modules.base.helper;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.IdUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.framework.common.exception.BusinessBaseErrorEnum;
import com.xxh.cloud.framework.common.exception.BusinessException;
import com.xxh.cloud.framework.common.utils.StrJoinSplitUtils;
import com.xxh.cloud.user.framework.modules.base.entity.dos.Menu;
import com.xxh.cloud.user.framework.modules.base.entity.dto.MenuAddDTO;
import com.xxh.cloud.user.framework.modules.base.entity.vos.MenuVO;

import java.util.Set;

public class MenuConvertHelper {

    public static MenuVO getMenuVO(Menu entity){
        MenuVO data=new MenuVO();
        BeanUtil.copyProperties(entity,data,"permissions");
        data.setPermissions(StrJoinSplitUtils.split2List(entity.getPermissions()));
        return data;
    }


    public static MenuVO getMenuVO(Menu entity, Set<String> roleMenuIds){
        MenuVO data=getMenuVO(entity);
        if(CollUtil.isNotEmpty(roleMenuIds) && roleMenuIds.contains(data.getId())){
            data.setRoleCheck(YN.YES.getCode());
        }else {
            data.setRoleCheck(YN.NO.getCode());
        }
        return data;
    }

    public static Menu getMenu(MenuAddDTO params){
        Menu entity=new Menu();
        entity.setId(IdUtil.getSnowflake(1,5).nextIdStr());
        return getMenu(entity, params);
    }

    public static Menu getMenu(Menu entity, MenuAddDTO params){
        entity.setPid(params.getPid());
        entity.setType(params.getType());
        entity.setName(params.getName());
        entity.setIcon(params.getIcon());
        if(StrUtil.isNotEmpty(params.getUrl())){
            if(StrUtil.isEmpty(params.getRouteType())){
                throw new BusinessException(BusinessBaseErrorEnum.PARAMS_GET_ERROR,"菜单路由分类不能为空");
            }
        }
        entity.setRouteType(params.getRouteType());
        entity.setUrl(params.getUrl());
        entity.setSort(params.getSort());
        entity.setPermissions(StrJoinSplitUtils.join(params.getPermissions()));
        return entity;
    }
}
