package com.xxh.cloud.user.framework.modules.cache.service.impl;
import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.framework.common.redis.BasicCacheServiceImpl;
import com.xxh.cloud.user.framework.modules.base.biz.DeptBizService;
import com.xxh.cloud.user.framework.modules.base.entity.dos.Dept;
import com.xxh.cloud.user.framework.modules.base.entity.vos.DeptVO;
import com.xxh.cloud.user.framework.modules.base.helper.DeptConvertHelper;
import com.xxh.cloud.user.framework.modules.base.service.DeptService;
import com.xxh.cloud.user.framework.modules.cache.keys.UserCacheKeyUtil;
import com.xxh.cloud.user.framework.modules.cache.service.DeptCacheService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;


@Service
public class DeptCacheServiceImpl extends BasicCacheServiceImpl<DeptVO> implements DeptCacheService {


    @Autowired
    private DeptService deptService;


    @Override
    public String getCacheKey(String id) {
        return UserCacheKeyUtil.getDeptKey(id);
    }

    @Override
    public String getCacheKeyPattern() {
        return UserCacheKeyUtil.getDeptMainKey();
    }

    @Override
    public Class<DeptVO> getJsonClazz() {
        return DeptVO.class;
    }

    @Override
    public String getId(DeptVO deptVO) {
        return deptVO.getId();
    }

    @Override
    public DeptVO getById2DB(String id) {
        if(StrUtil.isEmpty(id)){
            return null;
        }
        Dept entity=deptService.getById(id);
        if(entity==null){
            return null;
        }
        return DeptConvertHelper.getDeptVO(entity);
    }

    @Override
    public List<DeptVO> getListByIds2DB(Collection<String> ids) {
        if(CollUtil.isEmpty(ids)){
            return null;
        }
        List<Dept> list= deptService.listByIds(ids);
        List<DeptVO> data=new ArrayList<>();
        if(CollUtil.isNotEmpty(list)){
            list.forEach(item->{
                data.add(DeptConvertHelper.getDeptVO(item));
            });
        }
        return data;
    }


}
