package com.xxh.cloud.user.framework.modules.client.service;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.user.client.api.PostInfoClientService;
import com.xxh.cloud.user.client.api.bean.bos.PostInfoBO;
import com.xxh.cloud.user.framework.modules.base.entity.vos.DeptVO;
import com.xxh.cloud.user.framework.modules.base.entity.vos.PostInfoVO;
import com.xxh.cloud.user.framework.modules.base.entity.vos.UserVO;
import com.xxh.cloud.user.framework.modules.cache.service.PostInfoCacheService;
import com.xxh.cloud.user.framework.modules.client.helper.AdminUserClientConvertHelper;
import com.xxh.cloud.user.framework.modules.client.helper.DeptClientConvertHelper;
import com.xxh.cloud.user.framework.modules.client.helper.PostInfoClientConvertHelper;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;
import java.util.stream.Collectors;

@Log4j2
@Service
public class PostInfoClientServiceImpl implements PostInfoClientService {

    @Autowired
    private PostInfoCacheService postInfoCacheService;

    @Override
    public PostInfoBO getPostById(String id) {
        if(StrUtil.isEmpty(id)){
            return null;
        }
        PostInfoVO post = postInfoCacheService.getById(id);
        return PostInfoClientConvertHelper.getPostInfoBO(post);
    }

    @Override
    public List<PostInfoBO> getPostListByIds(Collection<String> ids) {
        if(CollUtil.isEmpty(ids)){
            return new ArrayList<>();
        }
        List<PostInfoVO> list = postInfoCacheService.getListByIds(ids);
        if (CollUtil.isEmpty(list)) {
            return new ArrayList<>();
        }
        return list.stream().map(PostInfoClientConvertHelper::getPostInfoBO).collect(Collectors.toList());
    }

    @Override
    public Map<String, PostInfoBO> getPostMapByIds(Collection<String> ids) {
        if(CollUtil.isEmpty(ids)){
            return new HashMap<>();
        }
        List<PostInfoVO> list = postInfoCacheService.getListByIds(ids);
        if (CollUtil.isEmpty(list)) {
            return new HashMap<>();
        }
        return new HashMap<>(list.stream().collect(Collectors.toMap(PostInfoVO::getId, PostInfoClientConvertHelper::getPostInfoBO)));
    }


}
