package com.xxh.cloud.user.framework.modules.task.schedule;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.xxh.cloud.user.framework.modules.base.biz.HisDeptBizService;
import com.xxh.cloud.user.framework.modules.base.biz.HisDoctorBizService;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;

import lombok.extern.slf4j.Slf4j;

@Slf4j
@Component
public class HisDataSyncTask {

    @Autowired
    private HisDeptBizService hisDeptBizService;
    @Autowired
    private HisDoctorBizService hisDoctorBizService;
    
    // 同步互联网医院科室信息
    @XxlJob("syncHisDeptTask")
    public void syncHisDeptTask() throws Exception {
        log.info("同步互联网医院科室信息开始 >>>>>> ");
        XxlJobHelper.log("同步互联网医院科室信息开始 >>>>>> ");

        hisDeptBizService.syncHisDept();

        XxlJobHelper.log("同步互联网医院科室信息结束 <<<<<< ");
        log.info("同步互联网医院科室信息结束 <<<<<< ");
    }

    // 同步互联网医院医生信息
    @XxlJob("syncHisDoctorTask")
    public void syncHisDoctorTask() throws Exception {
        log.info("同步互联网医院医生信息开始 >>>>>> ");
        XxlJobHelper.log("同步互联网医院医生信息开始 >>>>>> ");

        hisDoctorBizService.syncHisDoctor();

        XxlJobHelper.log("同步互联网医院医生信息结束 <<<<<< ");
        log.info("同步互联网医院医生信息结束 <<<<<< ");
    }

    // 同步互联网医院科室信息(新)
    @XxlJob("syncDepartmentLevelTask")
    public void syncDepartmentLevelTask() throws Exception {
        log.info("同步互联网医院科室信息(新)开始 >>>>>> ");
        XxlJobHelper.log("同步互联网医院科室信息(新)开始 >>>>>> ");

        hisDeptBizService.syncDepartmentLevel();

        XxlJobHelper.log("同步互联网医院科室信息(新)结束 <<<<<< ");
        log.info("同步互联网医院科室信息(新)结束 <<<<<< ");
    }
}
