package com.xxh.cloud.user.company.manager.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.xxh.cloud.framework.common.entity.Result;
import com.xxh.cloud.user.framework.modules.base.entity.vos.MenuVO;
import com.xxh.cloud.user.framework.modules.base.service.MenuService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/com/user/menu")
@Api(tags="商户端用户(管理),菜单管理")
public class MenuComManagerController {

    @Autowired
    private MenuService menuService;

    @PostMapping("tree")
    @ApiOperation("菜单树")
    @SaCheckPermission("com:user:menu:tree")
    public Result<List<MenuVO>> tree() {
        List<MenuVO> data= menuService.getTree();
        return new Result<List<MenuVO>>().ok(data);
    }

}
